#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(drm_gem_vram_create, 0x234c1d95, "");
SYMBOL_CRC(drm_gem_vram_put, 0x5f57f070, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x4c0784e7, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xfd2d727d, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x7ff65df2, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xcb8d21a4, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x8002c417, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x618113e2, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0xdfcf01ce, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x00ab2504, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x31a6302e, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0xd924cd82, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0xac5ee229, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x19960e27, "");
SYMBOL_CRC(drmm_vram_helper_init, 0xbb02995d, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xf8427d89, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x925c868b, "ttm_range_man_init_nocheck" },
	{ 0xc9d6b2cc, "ww_mutex_lock_interruptible" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x773bd8ff, "ttm_resource_manager_debug" },
	{ 0xa1635780, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x1c260c27, "ttm_range_man_fini_nocheck" },
	{ 0x150aa13d, "drm_gem_object_init" },
	{ 0xfeb953b1, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1e42cffc, "ttm_bo_pin" },
	{ 0xac4d7601, "dev_driver_string" },
	{ 0x876455d, "drm_gem_ttm_mmap" },
	{ 0x1a8ce52f, "__drmm_add_action_or_reset" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x49eb3cc6, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x8c742f93, "drm_gem_object_release" },
	{ 0xc0b648e4, "ttm_tt_init" },
	{ 0xf31269f3, "drm_gem_handle_create" },
	{ 0x776b6830, "drm_gem_fb_get_obj" },
	{ 0xb401c9a2, "ttm_bo_unpin" },
	{ 0x513072fe, "__drm_puts_seq_file" },
	{ 0x3bacd119, "drm_debugfs_add_files" },
	{ 0x669abeaf, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5149a5fe, "ttm_device_init" },
	{ 0xe23ce10c, "ttm_bo_validate" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xa7bd4d64, "ttm_bo_move_to_lru_tail" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x66186f86, "ttm_bo_vmap" },
	{ 0x4f07669a, "ttm_bo_put" },
	{ 0xfd0baa9d, "ttm_resource_free" },
	{ 0x1139285, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x796b9b3c, "ttm_tt_fini" },
	{ 0xa3d33f0f, "ttm_device_fini" },
	{ 0xc1a84969, "drm_gem_plane_helper_prepare_fb" },
	{ 0x2e0248be, "ttm_bo_eviction_valuable" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x4743ae00, "drm_gem_ttm_print_info" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "7AE0AE9C03F5998B04013AB");

MODULE_INFO(suserelease, "SLE15-SP6");
