#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ttm_tt_init, 0xc0b648e4, "");
SYMBOL_CRC(ttm_tt_fini, 0x796b9b3c, "");
SYMBOL_CRC(ttm_sg_tt_init, 0x422d0d52, "");
SYMBOL_CRC(ttm_tt_populate, 0xb03184eb, "");
SYMBOL_CRC(ttm_kmap_iter_tt_init, 0x1c13f392, "");
SYMBOL_CRC(ttm_tt_pages_limit, 0x69cc2943, "");
SYMBOL_CRC(ttm_bo_move_to_lru_tail, 0xa7bd4d64, "");
SYMBOL_CRC(ttm_bo_set_bulk_move, 0xfd5928bd, "");
SYMBOL_CRC(ttm_bo_put, 0x4f07669a, "");
SYMBOL_CRC(ttm_bo_eviction_valuable, 0x2e0248be, "");
SYMBOL_CRC(ttm_bo_pin, 0x1e42cffc, "");
SYMBOL_CRC(ttm_bo_unpin, 0xb401c9a2, "");
SYMBOL_CRC(ttm_bo_mem_space, 0x803ce0c6, "");
SYMBOL_CRC(ttm_bo_validate, 0xe23ce10c, "");
SYMBOL_CRC(ttm_bo_init_reserved, 0xaab3091f, "");
SYMBOL_CRC(ttm_bo_init_validate, 0x669abeaf, "");
SYMBOL_CRC(ttm_bo_unmap_virtual, 0xf22bd183, "");
SYMBOL_CRC(ttm_bo_wait_ctx, 0x472b0487, "");
SYMBOL_CRC(ttm_move_memcpy, 0x1a71d30c, "");
SYMBOL_CRC(ttm_bo_move_memcpy, 0x01139285, "");
SYMBOL_CRC(ttm_io_prot, 0xd793972d, "");
SYMBOL_CRC(ttm_bo_kmap, 0x1f7682a8, "");
SYMBOL_CRC(ttm_bo_kunmap, 0x85bf293e, "");
SYMBOL_CRC(ttm_bo_vmap, 0x66186f86, "");
SYMBOL_CRC(ttm_bo_vunmap, 0x49eb3cc6, "");
SYMBOL_CRC(ttm_bo_move_accel_cleanup, 0xb1e4595f, "");
SYMBOL_CRC(ttm_bo_move_sync_cleanup, 0x0e619bcf, "");
SYMBOL_CRC(ttm_bo_vm_reserve, 0xc86c59bc, "");
SYMBOL_CRC(ttm_bo_vm_fault_reserved, 0xeb8b3e04, "");
SYMBOL_CRC(ttm_bo_vm_dummy_page, 0x9ce8c1d5, "");
SYMBOL_CRC(ttm_bo_vm_fault, 0x1d5471f8, "");
SYMBOL_CRC(ttm_bo_vm_open, 0xda9eff83, "");
SYMBOL_CRC(ttm_bo_vm_close, 0x93ce99e7, "");
SYMBOL_CRC(ttm_bo_vm_access, 0x2d9279c5, "");
SYMBOL_CRC(ttm_bo_mmap_obj, 0x6220f512, "");
SYMBOL_CRC(ttm_eu_backoff_reservation, 0x62b3ba8f, "");
SYMBOL_CRC(ttm_eu_reserve_buffers, 0xebb8d3a3, "");
SYMBOL_CRC(ttm_eu_fence_buffer_objects, 0x9354877c, "");
SYMBOL_CRC(ttm_range_man_init_nocheck, 0x925c868b, "");
SYMBOL_CRC(ttm_range_man_fini_nocheck, 0x1c260c27, "");
SYMBOL_CRC(ttm_lru_bulk_move_init, 0x36db28c0, "");
SYMBOL_CRC(ttm_lru_bulk_move_tail, 0x24c09a18, "");
SYMBOL_CRC(ttm_resource_init, 0xa7f1600c, "");
SYMBOL_CRC(ttm_resource_fini, 0x3e6a6b51, "");
SYMBOL_CRC(ttm_resource_free, 0xfd0baa9d, "");
SYMBOL_CRC(ttm_resource_manager_init, 0x5de06444, "");
SYMBOL_CRC(ttm_resource_manager_evict_all, 0xc728a179, "");
SYMBOL_CRC(ttm_resource_manager_usage, 0xd89346a8, "");
SYMBOL_CRC(ttm_resource_manager_debug, 0x773bd8ff, "");
SYMBOL_CRC(ttm_kmap_iter_iomap_init, 0x0c231474, "");
SYMBOL_CRC(ttm_resource_manager_create_debugfs, 0xf25347a0, "");
SYMBOL_CRC(ttm_pool_alloc, 0xa2faffe5, "");
SYMBOL_CRC(ttm_pool_free, 0x8ed2b3b1, "");
SYMBOL_CRC(ttm_pool_init, 0x16f395e4, "");
SYMBOL_CRC(ttm_pool_fini, 0xa77fd6cd, "");
SYMBOL_CRC(ttm_pool_debugfs, 0x8bff8d1d, "");
SYMBOL_CRC(ttm_glob, 0xf8139a87, "");
SYMBOL_CRC(ttm_device_swapout, 0x7d3446cd, "");
SYMBOL_CRC(ttm_device_init, 0x5149a5fe, "");
SYMBOL_CRC(ttm_device_fini, 0xa3d33f0f, "");
SYMBOL_CRC(ttm_device_clear_dma_mappings, 0x66eabd76, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc9d6b2cc, "ww_mutex_lock_interruptible" },
	{ 0x5440bbb, "drm_dev_enter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5f4a9590, "param_ops_ulong" },
	{ 0x742567a2, "dma_resv_reserve_fences" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0xf824c7db, "__drm_printfn_debug" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xecffb81e, "vmalloc_to_page" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x7604c98a, "dma_resv_init" },
	{ 0xfe6898e8, "dma_resv_wait_timeout" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0x29451a89, "dma_unmap_page_attrs" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0xa1635780, "ww_mutex_unlock" },
	{ 0xedc03953, "iounmap" },
	{ 0x5a0f7ec7, "debugfs_create_atomic_t" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x6ca74c64, "register_shrinker" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc297d271, "unmap_mapping_range" },
	{ 0xc4a2e5e2, "dma_resv_add_fence" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x27fe343, "seq_lseek" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0xe8a0e334, "drm_vma_offset_add" },
	{ 0xfeb953b1, "__drm_printfn_seq_file" },
	{ 0x4d924f20, "memremap" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0xf7acb66, "drm_mm_print" },
	{ 0xa42325d, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0x63ad5b6f, "ww_mutex_trylock" },
	{ 0x1a8ce52f, "__drmm_add_action_or_reset" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4fe512ab, "unregister_shrinker" },
	{ 0x618911fc, "numa_node" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9230d5d0, "mark_page_accessed" },
	{ 0x8609e0ac, "shmem_file_setup" },
	{ 0xd73c8c2b, "synchronize_shrinkers" },
	{ 0xec9abc66, "copy_highpage" },
	{ 0xd871a465, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xcefc7bda, "dma_resv_fini" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb5bd4b49, "dma_alloc_attrs" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0xc5ba48a4, "debugfs_remove" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xce3a6764, "ww_mutex_lock" },
	{ 0xc81e8ce7, "shmem_read_mapping_page_gfp" },
	{ 0xb9ba68d6, "vmap" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x17161747, "vmf_insert_pfn_prot" },
	{ 0xdcb764ad, "memset" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0xebfba375, "__alloc_pages" },
	{ 0x513072fe, "__drm_puts_seq_file" },
	{ 0xf6f9d58d, "init_on_free" },
	{ 0xd40fe9ec, "dma_resv_copy_fences" },
	{ 0x9f944a43, "set_page_dirty" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x2d0728fc, "seq_read" },
	{ 0xfc9af0f3, "debugfs_create_file" },
	{ 0xa38c4c94, "drm_memcpy_from_wc" },
	{ 0x7c2d03a6, "dma_fence_enable_sw_signaling" },
	{ 0x5f3d5133, "dma_free_attrs" },
	{ 0x28779e52, "drm_printf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8b819c5c, "dma_resv_iter_next_unlocked" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40f30a47, "seq_printf" },
	{ 0xb5d41548, "__mmap_lock_do_trace_released" },
	{ 0x96167d6d, "dma_resv_iter_first_unlocked" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x154b24cd, "single_release" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x732dd82c, "dma_resv_test_signaled" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x89e97257, "single_open" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xcdcdfd54, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0x4831da6e, "drm_vma_offset_remove" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A1EBE24C43013A9DC3E7EE7");

MODULE_INFO(suserelease, "SLE15-SP6");
