#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe66a9097, "pin_user_pages_fast" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8b75988, "ib_umem_release" },
	{ 0x33d4248e, "pcie_capability_write_word" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x680e3cfd, "__rdma_block_iter_start" },
	{ 0x1af3f4e4, "dma_pool_create" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe77e2dee, "pci_enable_device" },
	{ 0xda9df56f, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xc87aabf9, "pci_dev_put" },
	{ 0x6644920a, "mult_to_ib_rate" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe9e799fc, "ib_ud_header_pack" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7710e592, "pci_get_device" },
	{ 0x29451a89, "dma_unmap_page_attrs" },
	{ 0x73baf9a2, "ib_modify_qp_is_ok" },
	{ 0x726fb94, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xd6b25630, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x8b01ab6b, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3a8ba680, "remap_pfn_range" },
	{ 0x61373fd2, "__rdma_block_iter_next" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1ba6509b, "pci_irq_vector" },
	{ 0xb21b8e47, "_ib_alloc_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x68f7625a, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xe35860e7, "rdma_create_ah" },
	{ 0x66f7c8d6, "pci_read_config_dword" },
	{ 0x93e89241, "ib_unregister_device" },
	{ 0xa42325d, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0x1000e51, "schedule" },
	{ 0xec9fe633, "ib_register_device" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xa916b694, "strnlen" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0xe3d74559, "_dev_info" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xe9f29256, "ib_unregister_mad_agent" },
	{ 0x553075d2, "pci_find_capability" },
	{ 0xf544189d, "ib_post_send_mad" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x98aef94, "ib_create_send_mad" },
	{ 0x3ecb2741, "ib_dispatch_event" },
	{ 0xb7852a05, "ib_ud_header_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe6d5c496, "_dev_err" },
	{ 0x700e089, "ib_get_cached_pkey" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x55b7db0d, "ib_umem_get" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3df04896, "pcix_get_max_mmrbc" },
	{ 0xb5bd4b49, "dma_alloc_attrs" },
	{ 0xe5b35805, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x5987bc79, "ib_rate_to_mult" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xaf9843a2, "dma_sync_single_for_cpu" },
	{ 0xdcb764ad, "memset" },
	{ 0x11ee1077, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xee08504b, "unpin_user_page" },
	{ 0x6f0797c9, "pci_set_master" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3ef07364, "rdma_destroy_ah_user" },
	{ 0xbd5eeef, "ib_dealloc_device" },
	{ 0xf845d1a9, "ib_free_send_mad" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8dee7969, "dma_set_coherent_mask" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x5f3d5133, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xee5c1874, "pci_release_regions" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb76a6560, "pci_disable_device" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xbf487292, "pcie_set_readrq" },
	{ 0x761127f0, "ib_register_mad_agent" },
	{ 0x8af38f35, "dma_set_mask" },
	{ 0xa6d636ae, "dma_unmap_sg_attrs" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x8690b2ef, "param_ops_int" },
	{ 0x6b594ee1, "_dev_printk" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8e2108c8, "pci_free_irq_vectors" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd6cacf13, "pcix_set_mmrbc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x389e4a2c, "pci_write_config_dword" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x4f6f3596, "ib_set_device_ops" },
	{ 0x14251179, "dma_map_sg_attrs" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "ib_uverbs,ib_core");

MODULE_ALIAS("pci:v000015B3d00005A44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00005A44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006282sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006282sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006274sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006274sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00005E8Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00005E8Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "4B0CE5BD60B61E3A5D33F42");

MODULE_INFO(suserelease, "SLE15-SP6");
