#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xca160686, "devl_rate_leaf_create" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xeee4a1b7, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb4d30b04, "bpf_offload_dev_netdev_register" },
	{ 0x3d1b0886, "devl_region_create" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x9fb41842, "netdev_offload_xstats_report_delta" },
	{ 0x4b14a701, "netif_set_real_num_queues" },
	{ 0xeced32, "eth_mac_addr" },
	{ 0x9c484401, "skb_put" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x86871b40, "devlink_info_version_stored_put_ext" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x59c21063, "register_fib_notifier" },
	{ 0x8a248ee6, "debugfs_real_fops" },
	{ 0xfd9e64bf, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xfc7c708d, "devlink_region_snapshot_id_get" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x9880760b, "devl_lock" },
	{ 0xf434d481, "device_unregister" },
	{ 0xed9e98ff, "debugfs_create_symlink" },
	{ 0x6e8385d6, "debugfs_create_u16" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0fea2bf, "rtnl_link_register" },
	{ 0xd2d88506, "netdev_offload_xstats_report_used" },
	{ 0xa116ee3e, "devlink_port_attrs_set" },
	{ 0x7e0c1e13, "rtnl_offload_xstats_notify" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa38e6da8, "psample_sample_packet" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa639a1d2, "devlink_alloc_ns" },
	{ 0xb5805b54, "devl_rate_leaf_destroy" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x27fe343, "seq_lseek" },
	{ 0x4489887, "devlink_free" },
	{ 0xee677ac6, "eth_validate_addr" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x39e4be37, "udp_tunnel_nic_ops" },
	{ 0x6ce57412, "devl_rate_nodes_destroy" },
	{ 0xe8c80216, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x53f8d7ce, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x153b6a3d, "netdev_err" },
	{ 0xb636409d, "netdev_offload_xstats_enabled" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x2f5db380, "register_netdevice_notifier_net" },
	{ 0xcf136af9, "devlink_flash_update_status_notify" },
	{ 0x14687c42, "dev_addr_mod" },
	{ 0x4229382d, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf2d5d92d, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8cabbb8a, "fib6_info_hw_flags_set" },
	{ 0x3b206456, "priv_to_devlink" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x959f0351, "nexthop_res_grp_activity_update" },
	{ 0xac761154, "put_device" },
	{ 0xb444cb6d, "devl_resource_size_get" },
	{ 0x9678371b, "devl_resource_occ_get_unregister" },
	{ 0x9e46c439, "__alloc_skb" },
	{ 0x8ff4dd8c, "devlink_is_reload_failed" },
	{ 0xe44ffdc6, "devl_resource_register" },
	{ 0x404c8863, "bpf_verifier_log_write" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x2136bebe, "devlink_net" },
	{ 0xed30c6f7, "free_fib_info" },
	{ 0xcaa76456, "devl_health_reporter_create" },
	{ 0x8fcb0867, "flow_block_cb_setup_simple" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0x352ec68b, "bpf_offload_dev_destroy" },
	{ 0x6fbf542e, "rtnl_link_unregister" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x15c5a3d7, "bus_unregister" },
	{ 0x9aeb0fb6, "devlink_flash_update_timeout_notify" },
	{ 0xe6d5c496, "_dev_err" },
	{ 0x100d1c57, "debugfs_create_bool" },
	{ 0xc625535d, "simple_open" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x93ab5fd4, "dev_get_by_index" },
	{ 0xe76a879f, "devl_port_register_with_ops" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc5ba48a4, "debugfs_remove" },
	{ 0x434757b, "unregister_netdevice_notifier_net" },
	{ 0x24cc613b, "unregister_fib_notifier" },
	{ 0x8d9af968, "psample_group_get" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xf044feec, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x333ff6c6, "driver_unregister" },
	{ 0xfc654e8f, "free_netdev" },
	{ 0xca253bfb, "devl_params_register" },
	{ 0x8c9e54d3, "devlink_info_version_running_put_ext" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x9dcca5ba, "device_register" },
	{ 0xdbebf653, "devl_trylock" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x637f8097, "devl_param_driverinit_value_set" },
	{ 0xdcb764ad, "memset" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0xd845b031, "devl_trap_policers_unregister" },
	{ 0x7dcd1941, "debugfs_create_u32_array" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa8c88f19, "devl_resources_unregister" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x721a90f5, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x91c62153, "debugfs_create_u32" },
	{ 0xa709c835, "fib6_info_destroy_rcu" },
	{ 0x8a71b9c, "devl_params_unregister" },
	{ 0x417f6f20, "nexthop_set_hw_flags" },
	{ 0x4a430ad7, "devlink_trap_report" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x5b3189c9, "fib_alias_hw_flags_set" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8741f5f2, "devl_traps_register" },
	{ 0xc0477cb0, "devl_unlock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2d0728fc, "seq_read" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe130c94d, "xdp_attachment_setup" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xfc9af0f3, "debugfs_create_file" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x8e21b14a, "psample_group_put" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x6c696ca9, "devl_port_unregister" },
	{ 0x9fde5bd5, "devl_param_driverinit_value_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40f30a47, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa7543fce, "devlink_priv" },
	{ 0x1e5d9706, "bpf_offload_dev_netdev_unregister" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb9879679, "unregister_nexthop_notifier" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5c19ae42, "nexthop_bucket_set_hw_flags" },
	{ 0x3c7b75a8, "register_nexthop_notifier" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x154b24cd, "single_release" },
	{ 0x1b6314fd, "in_aton" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xce5a2cd6, "bpf_offload_dev_create" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x1f563160, "bpf_offload_dev_priv" },
	{ 0x4129c2ce, "devl_resource_occ_get_register" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x98cf60b3, "strlen" },
	{ 0x1f63a591, "devl_trap_policers_register" },
	{ 0x89e97257, "single_open" },
	{ 0x21c00f48, "devl_register" },
	{ 0xcdcdfd54, "debugfs_create_dir" },
	{ 0xb052203e, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x994050cc, "netdev_offload_xstats_push_delta" },
	{ 0x9a24efff, "driver_register" },
	{ 0x5fcc030a, "devl_trap_groups_unregister" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x654a9916, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xb6abf861, "netdev_info" },
	{ 0x5864ac17, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd7128de6, "register_netdevice" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E8EA3C4EF559DB628DFFC5A");

MODULE_INFO(suserelease, "SLE15-SP6");
