#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvme_fc_register_localport, 0x30231bbf, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42789d60, "nvme_remove_admin_tag_set" },
	{ 0x29dac108, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6e60aaf8, "nvme_uninit_ctrl" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x94308118, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x50a5094b, "nvmf_free_options" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x8dee7a41, "nvmf_subsystem_reset" },
	{ 0x81b22a9d, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3befef61, "nvme_stop_keep_alive" },
	{ 0x51c33deb, "blk_mq_complete_request_remote" },
	{ 0x29451a89, "dma_unmap_page_attrs" },
	{ 0x9c361b02, "nvme_setup_cmd" },
	{ 0xd387224b, "nvme_start_ctrl" },
	{ 0xd6b25630, "dma_sync_single_for_device" },
	{ 0x5004f5a9, "nvme_alloc_admin_tag_set" },
	{ 0xbeec635c, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xa8cf47c5, "nvmf_reg_read32" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb478b810, "nvme_delete_ctrl" },
	{ 0x88391b98, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x89e40732, "nvme_should_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xac4d7601, "dev_driver_string" },
	{ 0x1751b25c, "nvmf_get_address" },
	{ 0xa42325d, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x71a0f8fd, "nvme_remove_io_tag_set" },
	{ 0xa4a03c80, "nvme_cleanup_cmd" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2ed69542, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x63889ca7, "nvmf_unregister_transport" },
	{ 0xb31072f5, "blkcg_get_fc_appid" },
	{ 0xac761154, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x9634d4e8, "nvme_change_ctrl_state" },
	{ 0xe3d74559, "_dev_info" },
	{ 0xe94f0990, "nvme_init_ctrl" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x454e8815, "nvme_alloc_io_tag_set" },
	{ 0x11ba6c81, "nvme_fail_nonready_command" },
	{ 0xc0579e65, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe6d5c496, "_dev_err" },
	{ 0xaf76af0a, "device_create" },
	{ 0xd969994, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x81117f53, "__blk_rq_map_sg" },
	{ 0x9166fada, "strncpy" },
	{ 0xffb7c514, "ida_free" },
	{ 0xa679f016, "nvmf_reg_read64" },
	{ 0x6861ab6f, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x91763482, "nvmf_connect_admin_queue" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x456e5f17, "nvme_enable_ctrl" },
	{ 0xf19e2831, "nvme_unquiesce_admin_queue" },
	{ 0xaf9843a2, "dma_sync_single_for_cpu" },
	{ 0xdcb764ad, "memset" },
	{ 0x11ee1077, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb1c120ba, "nvme_unquiesce_io_queues" },
	{ 0xc0f2499d, "blk_mq_update_nr_hw_queues" },
	{ 0xdbcc20a8, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf011e198, "nvmf_should_reconnect" },
	{ 0x3eea0a1, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb686b574, "device_destroy" },
	{ 0x4e3fad42, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x32bf574e, "nvmf_register_transport" },
	{ 0x16a1b7c, "blk_mq_start_request" },
	{ 0x725bd938, "nvme_quiesce_io_queues" },
	{ 0xab935e7c, "blk_mq_tagset_busy_iter" },
	{ 0x4557d04c, "nvme_stop_ctrl" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xa6d636ae, "dma_unmap_sg_attrs" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x7c749b7b, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xd604fac9, "nvme_reset_ctrl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x3c4a5bda, "nvme_quiesce_admin_queue" },
	{ 0xc4026bc4, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb1dfbb57, "__nvme_check_ready" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x14251179, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "71A573CBAAE65CC2C321E76");

MODULE_INFO(suserelease, "SLE15-SP6");
