#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x1ea24823, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0x93002fed, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0xddc658c4, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0x1f1fb0ca, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0x83b88f73, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0xaf86c514, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0xd6630fb1, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0x4ba54156, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0x9587110d, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x2319c0c1, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0xc7bea967, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0xf675d98d, "");
SYMBOL_CRC(iscsit_release_cmd, 0xf69b8555, "");
SYMBOL_CRC(iscsit_free_cmd, 0x1b34a53d, "");
SYMBOL_CRC(iscsit_queue_rsp, 0x954f6c5e, "");
SYMBOL_CRC(iscsit_aborted_task, 0xcae395dc, "");
SYMBOL_CRC(iscsit_add_reject, 0x112034e1, "");
SYMBOL_CRC(iscsit_reject_cmd, 0x88508e60, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x9e054848, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x2bfc55df, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0x28b2c765, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0x3bc54b95, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0x34ecc5d1, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0xf8309130, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0x6ab69d72, "");
SYMBOL_CRC(iscsit_process_nop_out, 0x5ae2da33, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0x4ced2b8f, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0xcd8205a4, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0x3a408e07, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0x46ca4063, "");
SYMBOL_CRC(iscsit_handle_snack, 0x61b2a33b, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0x8cb5ad68, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0x56c465e9, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0x826b040d, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0xe09a8a39, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0x9bd179d3, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x6f4ac2ee, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0x2136eca0, "");
SYMBOL_CRC(iscsit_build_reject, 0xdb854cc2, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0xa91d52a8, "");
SYMBOL_CRC(iscsit_immediate_queue, 0xad574a86, "");
SYMBOL_CRC(iscsit_response_queue, 0xe9647061, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x0f30f9da, "");
SYMBOL_CRC(iscsit_register_transport, 0x8d5e7d3d, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x62339230, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x5f37ff79, "crypto_alloc_ahash" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xc65e34a6, "target_alloc_cmd_counter" },
	{ 0xd80a2e9, "core_alua_check_nonop_delay" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0xb4489234, "target_wait_for_cmds" },
	{ 0x92609c59, "transport_generic_new_cmd" },
	{ 0x5d24150b, "target_free_cmd_counter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb5af3810, "target_execute_cmd" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xce28b1c3, "kernel_bind" },
	{ 0xcf2a6966, "up" },
	{ 0x1d7d4861, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba6ab5d1, "kernel_accept" },
	{ 0x148653, "vsnprintf" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0x63953e56, "core_tpg_set_initiator_node_queue_depth" },
	{ 0x2b9b3376, "target_stop_cmd_counter" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf35b8e3, "transport_generic_handle_tmr" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xaeddd90a, "transport_lookup_tmr_lun" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x1030eecd, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xf1ee9e44, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xd32df847, "transport_alloc_session_tags" },
	{ 0x78a45e29, "transport_alloc_session" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x395b8b90, "sbitmap_prepare_to_wait" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe45b3a43, "target_unregister_template" },
	{ 0x5bc9fc98, "transport_send_check_condition_and_sense" },
	{ 0xa916b694, "strnlen" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x48bd318c, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf9b56dad, "module_put" },
	{ 0x897620c5, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ca224fc, "__traceiter_sk_data_ready" },
	{ 0xc9f9f474, "init_net" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x528e5263, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954f099c, "idr_preload" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0x243a3f25, "set_cpus_allowed_ptr" },
	{ 0x5792f848, "strlcpy" },
	{ 0xe908f7b8, "transport_deregister_session_configfs" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x373766a, "sbitmap_queue_clear" },
	{ 0x1703570a, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4b6b369f, "inet_pton_with_scope" },
	{ 0xd883cf91, "sock_sendmsg" },
	{ 0xeb7fb589, "crypto_shash_update" },
	{ 0x9dfd26b4, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7cf60318, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0x216645de, "target_cmd_parse_cdb" },
	{ 0x2758c67a, "sock_set_reuseaddr" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdebdbd25, "crypto_ahash_finup" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd8a8033f, "iov_iter_bvec" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x26b3a05c, "crypto_ahash_digest" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xed628b4e, "crypto_ahash_final" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc0e7d192, "__target_init_cmd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe534973a, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x62531b9, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5d291b41, "core_tpg_check_initiator_node_acl" },
	{ 0x2e663829, "target_cmd_init_cdb" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x9e34786b, "kernel_listen" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x3350d87b, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0x38bb434f, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x4d24a1e4, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1f2aac79, "crypto_shash_finup" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5b13e379, "transport_wait_for_tasks" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x88f04d14, "transport_handle_cdb_direct" },
	{ 0xaebdfe9d, "target_get_sess_cmd" },
	{ 0xaf766996, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcca35d92, "sock_recvmsg" },
	{ 0x8420ec9a, "core_tpg_deregister" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xe42e3bd5, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd4e32ae4, "target_show_dynamic_sessions" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x39cf629a, "sock_release" },
	{ 0x700f0c83, "target_register_template" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5ec33e5b, "tcp_sock_set_nodelay" },
	{ 0x4c5a40b1, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xcaafb850, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xbd1514ad, "core_tpg_register" },
	{ 0x98cf60b3, "strlen" },
	{ 0x30f4f5c6, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x9e03a1ee, "transport_deregister_session" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x6b7f47, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x935346fe, "__sbitmap_queue_get" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0xacb65097, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod");


MODULE_INFO(srcversion, "51DF3E2EC426F82F2E3643B");

MODULE_INFO(suserelease, "SLE15-SP6");
