#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x8a6c5f1b, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0x2099004f, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0x40916566, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0x510ea15a, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x30b53491, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc008f706, "bpf_trace_run4" },
	{ 0x8625f21b, "config_group_init" },
	{ 0x20978fb9, "idr_find" },
	{ 0x24674ecb, "config_group_find_item" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x260eece4, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0xb1bf7650, "sock_set_mark" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xf041abe7, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0x5b4a5c38, "config_item_get" },
	{ 0xce28b1c3, "kernel_bind" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe42f1895, "posix_lock_file" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xf2bb031c, "kset_unregister" },
	{ 0x27fe343, "seq_lseek" },
	{ 0xb37d0476, "kernel_kobj" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x66f551ba, "call_srcu" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc7409852, "synchronize_srcu" },
	{ 0xba6ab5d1, "kernel_accept" },
	{ 0x1de04654, "kernel_recvmsg" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0x65075764, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4fa88f75, "configfs_unregister_subsystem" },
	{ 0x1030eecd, "wake_up_process" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0x31f859a3, "locks_lock_inode_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x86c181a8, "sock_set_sndtimeo" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa916b694, "strnlen" },
	{ 0xd2362f2e, "locks_init_lock" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf9b56dad, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x8ca224fc, "__traceiter_sk_data_ready" },
	{ 0xc9f9f474, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0xc625535d, "simple_open" },
	{ 0x6b44dc94, "configfs_register_subsystem" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2d18e2c4, "configfs_remove_default_groups" },
	{ 0xa3878fd2, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaff0e69d, "noop_llseek" },
	{ 0x528e5263, "config_group_init_type_name" },
	{ 0x49f6aeae, "bpf_trace_run5" },
	{ 0x5f33c285, "kernel_sock_shutdown" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0xc5ba48a4, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x412f9620, "seq_putc" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf1e046cc, "panic" },
	{ 0x1ad7f081, "kobject_init_and_add" },
	{ 0xd883cf91, "sock_sendmsg" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2f0e6393, "lock_sock_nested" },
	{ 0x7cf60318, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xddc82cb9, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb4fb2044, "default_llseek" },
	{ 0x2758c67a, "sock_set_reuseaddr" },
	{ 0xa777c43, "kernel_connect" },
	{ 0xdcb764ad, "memset" },
	{ 0xd8a8033f, "iov_iter_bvec" },
	{ 0xe43bc1f1, "misc_register" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe534973a, "kthread_create_on_node" },
	{ 0x3f4932e8, "bpf_trace_run3" },
	{ 0x2d0728fc, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xfc9af0f3, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x369d320, "config_item_init_type_name" },
	{ 0x848ddfd3, "sock_create_kern" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0xd1871c52, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40f30a47, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc34f857b, "__srcu_read_unlock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1ecd30a8, "kobject_uevent" },
	{ 0x39cf629a, "sock_release" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x154b24cd, "single_release" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5ec33e5b, "tcp_sock_set_nodelay" },
	{ 0xae20fedf, "seq_open" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x89e97257, "single_open" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xcdcdfd54, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x640f4150, "sock_bind_add" },
	{ 0xbf01b7a7, "locks_copy_lock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x3bf1021d, "release_sock" },
	{ 0xd2c39e6f, "kset_create_and_add" },
	{ 0x2013bf, "kobject_put" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C6A156C87DD1A5F081884B2");

MODULE_INFO(suserelease, "SLE15-SP6");
