#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x6070442, "pnfs_register_layoutdriver" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0x162cba98, "pnfs_ld_read_done" },
	{ 0x72b38212, "flush_dcache_page" },
	{ 0x2f3f96ee, "blk_start_plug" },
	{ 0x369ade2d, "pnfs_set_lo_fail" },
	{ 0x1af3abbb, "nfs4_init_deviceid_node" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x463369fe, "nfs_pageio_reset_read_mds" },
	{ 0xecffb81e, "vmalloc_to_page" },
	{ 0xe99f95c0, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xb51a3724, "rpc_pipefs_notifier_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8295a56e, "pnfs_generic_pg_init_read" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xceb32e85, "pnfs_generic_pg_writepages" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0x3ab62ad9, "page_cache_next_miss" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb7ee3faf, "pnfs_generic_pg_readpages" },
	{ 0x2183865a, "rpc_put_sb_net" },
	{ 0x817cc1fb, "register_pernet_subsys" },
	{ 0x10609025, "nfs_dreq_bytes_left_offset" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x9f385d1e, "blkdev_put" },
	{ 0x993755dc, "rpc_destroy_pipe_data" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0x387e1639, "rpc_pipefs_notifier_register" },
	{ 0xaf5a62ab, "blk_finish_plug" },
	{ 0xdbd2aff4, "submit_bio" },
	{ 0x25f586cb, "rpc_pipe_generic_upcall" },
	{ 0xf9b56dad, "module_put" },
	{ 0x3e93f7e8, "bio_put" },
	{ 0x2d1ea063, "nfs4_put_deviceid_node" },
	{ 0x8adce972, "blkdev_get_by_dev" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcb5f2655, "rpc_d_lookup_sb" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcf4414ed, "nfs_pageio_reset_write_mds" },
	{ 0x7c268d7, "blkdev_get_by_path" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd17b19e0, "nfs4_find_get_deviceid" },
	{ 0x3da80780, "bio_add_page" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb53d51ac, "unregister_pernet_subsys" },
	{ 0x4069914b, "rpc_queue_upcall" },
	{ 0x7c043690, "xdr_init_decode_pages" },
	{ 0xdcb764ad, "memset" },
	{ 0x58bf0bd2, "pnfs_generic_sync" },
	{ 0x1e182394, "pnfs_generic_pg_cleanup" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xab7de1fe, "rpc_get_sb_net" },
	{ 0xece784c2, "rb_first" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x484aae67, "pnfs_generic_pg_test" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6f46dbcc, "rpc_mkpipe_dentry" },
	{ 0x65a05acb, "rpc_mkpipe_data" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6996a098, "nfs4_mark_deviceid_unavailable" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x336556ec, "nfs4_delete_deviceid" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4eb6da27, "dput" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa77f3eef, "pnfs_error_mark_layout_for_return" },
	{ 0x28160a54, "pnfs_ld_write_done" },
	{ 0x3601c749, "rpc_unlink" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6c8ca113, "bio_alloc_bioset" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x2c4978af, "fs_bio_set" },
	{ 0xf4a174a2, "pnfs_generic_pg_init_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x73e172fd, "pnfs_unregister_layoutdriver" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "nfsv4,nfs,sunrpc");


MODULE_INFO(srcversion, "CA2D7F98B464570AF761410");

MODULE_INFO(suserelease, "SLE15-SP6");
