#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xccaf5481, "bh_uptodate_or_lock" },
	{ 0xd7d65d1b, "inode_init_owner" },
	{ 0xb014033, "setattr_prepare" },
	{ 0x700f5a62, "iget_locked" },
	{ 0x62c1d0de, "clear_nlink" },
	{ 0x681d8531, "generic_block_bmap" },
	{ 0xc758b44e, "d_instantiate" },
	{ 0xf7d592a, "clear_inode" },
	{ 0x18794d06, "generic_fh_to_dentry" },
	{ 0xdb4ebc95, "discard_new_inode" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xdf5f952c, "new_inode" },
	{ 0x2ea8bdc6, "__inode_add_bytes" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x3146f191, "__inode_sub_bytes" },
	{ 0xa9f9e540, "init_special_inode" },
	{ 0x5d7808a5, "unregister_filesystem" },
	{ 0xe9433b47, "mark_buffer_dirty" },
	{ 0x8e35e9d8, "__block_write_begin" },
	{ 0xe9ac9d35, "inode_needs_sync" },
	{ 0x4fdc8acd, "inode_query_iversion" },
	{ 0xe30bbc3e, "d_make_root" },
	{ 0x5d4e1b09, "__bforget" },
	{ 0xb99462ca, "sb_set_blocksize" },
	{ 0xbd659b02, "block_truncate_page" },
	{ 0x8a61c9c2, "write_dirty_buffer" },
	{ 0x448d22c, "sync_filesystem" },
	{ 0xccbe0d07, "d_splice_alias" },
	{ 0xb43ae197, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5f605118, "ihold" },
	{ 0x37a0cba, "kfree" },
	{ 0x52630956, "generic_file_fsync" },
	{ 0x88c40121, "read_cache_page" },
	{ 0xc40efe1d, "iput" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0xa117ce95, "generic_file_write_iter" },
	{ 0xf51ae896, "register_filesystem" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0x61cfe5e7, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2fea0f50, "kill_block_super" },
	{ 0xcfb5d0c, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xd423c62b, "block_invalidate_folio" },
	{ 0xae2e69c4, "generic_write_end" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xab385d4b, "make_kuid" },
	{ 0xb3a0b54, "create_empty_buffers" },
	{ 0x811d18cc, "truncate_inode_pages_final" },
	{ 0x477522e7, "block_write_end" },
	{ 0xd72d936, "inode_sub_bytes" },
	{ 0x26a65054, "block_write_full_page" },
	{ 0x785dca83, "generic_file_mmap" },
	{ 0x488dcfe0, "invalidate_inode_buffers" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc8d32e0d, "inode_init_once" },
	{ 0x2fff745, "__brelse" },
	{ 0x2280de9b, "inode_nohighmem" },
	{ 0xbb114f0, "generic_file_read_iter" },
	{ 0x77457e02, "inode_maybe_inc_iversion" },
	{ 0xe617e4c9, "unlock_page" },
	{ 0x28deed21, "simple_symlink_inode_operations" },
	{ 0x6debaa88, "kmem_cache_create_usercopy" },
	{ 0xda341498, "truncate_pagecache" },
	{ 0x798ce737, "sync_dirty_buffer" },
	{ 0x9ba8ff51, "insert_inode_locked" },
	{ 0x4676e53, "page_symlink" },
	{ 0x3640ce60, "setattr_copy" },
	{ 0x156950be, "__wait_on_buffer" },
	{ 0xe02064ed, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0xce1f007f, "from_kgid" },
	{ 0x4a556dce, "__bh_read" },
	{ 0xf1e046cc, "panic" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb320a62a, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2b2a3634, "__bread_gfp" },
	{ 0xccf0e131, "block_dirty_folio" },
	{ 0x984866db, "from_kuid" },
	{ 0xdcb764ad, "memset" },
	{ 0x47c729b8, "make_kgid" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xaf0cb540, "truncate_setsize" },
	{ 0x9f944a43, "set_page_dirty" },
	{ 0x9f00b920, "block_read_full_folio" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x38e9d05a, "unlock_buffer" },
	{ 0x3e657206, "__getblk_gfp" },
	{ 0x6789bd45, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xb6c99b76, "d_instantiate_new" },
	{ 0x83209233, "page_symlink_inode_operations" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7f79c352, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf8a8ace4, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40f30a47, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5fd7e5ef, "__lock_buffer" },
	{ 0x1132ed8a, "generic_file_open" },
	{ 0x9c94e069, "__folio_lock" },
	{ 0x5f49435d, "pagecache_get_page" },
	{ 0x5723b6ba, "is_bad_inode" },
	{ 0x20136cf0, "block_write_begin" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xb81f353f, "generic_fh_to_parent" },
	{ 0xfb3754cf, "filemap_splice_read" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x7f016c07, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdaae3ab, "clean_bdev_aliases" },
	{ 0x1bd84929, "kmem_cache_alloc_lru" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xaa628a64, "__mark_inode_dirty" },
	{ 0xb052203e, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4adb363a, "make_bad_inode" },
	{ 0xa48564d0, "drop_nlink" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x5e002032, "iget_failed" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D229F8B3A71F2916FDE1433");

MODULE_INFO(suserelease, "SLE15-SP6");
