#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(libceph_compatible, 0x466b85b8, "");
SYMBOL_CRC(ceph_msg_type_name, 0xb54676fa, "");
SYMBOL_CRC(ceph_check_fsid, 0xca1c5373, "");
SYMBOL_CRC(ceph_compare_options, 0x56c4afb6, "");
SYMBOL_CRC(ceph_parse_fsid, 0x4affd6c2, "");
SYMBOL_CRC(ceph_alloc_options, 0x987d3968, "");
SYMBOL_CRC(ceph_destroy_options, 0xd4d736db, "");
SYMBOL_CRC(ceph_parse_mon_ips, 0xda316dbb, "");
SYMBOL_CRC(ceph_parse_param, 0x0db87171, "");
SYMBOL_CRC(ceph_print_client_options, 0x575b2a45, "");
SYMBOL_CRC(ceph_client_addr, 0x4e92bfa4, "");
SYMBOL_CRC(ceph_client_gid, 0x0c81e308, "");
SYMBOL_CRC(ceph_create_client, 0xf950dc36, "");
SYMBOL_CRC(ceph_destroy_client, 0x6ab0e009, "");
SYMBOL_CRC(ceph_reset_client_addr, 0x2660612a, "");
SYMBOL_CRC(__ceph_open_session, 0xc897c57b, "");
SYMBOL_CRC(ceph_open_session, 0x1f99d692, "");
SYMBOL_CRC(ceph_wait_for_latest_osdmap, 0xcaf90187, "");
SYMBOL_CRC(ceph_pr_addr, 0x6a7a38a0, "");
SYMBOL_CRC(ceph_msgr_flush, 0xafb8a407, "");
SYMBOL_CRC(ceph_con_close, 0xcedbfdb4, "");
SYMBOL_CRC(ceph_con_open, 0x540ac679, "");
SYMBOL_CRC(ceph_con_init, 0x39e5e342, "");
SYMBOL_CRC(ceph_addr_is_blank, 0xf254297e, "");
SYMBOL_CRC(ceph_con_send, 0x003135b5, "");
SYMBOL_CRC(ceph_con_keepalive, 0xcaffde02, "");
SYMBOL_CRC(ceph_msg_data_add_pages, 0x16721e8f, "");
SYMBOL_CRC(ceph_msg_data_add_pagelist, 0x68752dcf, "");
SYMBOL_CRC(ceph_msg_data_add_bio, 0xc94cde1e, "");
SYMBOL_CRC(ceph_msg_data_add_bvecs, 0x39f99c44, "");
SYMBOL_CRC(ceph_msg_new2, 0x775de0be, "");
SYMBOL_CRC(ceph_msg_new, 0xc3b5a641, "");
SYMBOL_CRC(ceph_msg_get, 0xa900430f, "");
SYMBOL_CRC(ceph_msg_put, 0xf61f7bc1, "");
SYMBOL_CRC(ceph_msg_dump, 0xdd0e19c8, "");
SYMBOL_CRC(ceph_buffer_new, 0x9fbba67f, "");
SYMBOL_CRC(ceph_buffer_release, 0xb72c162e, "");
SYMBOL_CRC(ceph_pagelist_alloc, 0xe76e7226, "");
SYMBOL_CRC(ceph_pagelist_release, 0x2a983d26, "");
SYMBOL_CRC(ceph_pagelist_append, 0xefce991c, "");
SYMBOL_CRC(ceph_pagelist_reserve, 0xefce3c3b, "");
SYMBOL_CRC(ceph_pagelist_free_reserve, 0x165b1948, "");
SYMBOL_CRC(ceph_pagelist_set_cursor, 0xf03fe862, "");
SYMBOL_CRC(ceph_pagelist_truncate, 0xc366bfa1, "");
SYMBOL_CRC(ceph_monc_want_map, 0xc26f65a7, "");
SYMBOL_CRC(ceph_monc_got_map, 0x3a03095e, "");
SYMBOL_CRC(ceph_monc_renew_subs, 0xf8c0d861, "");
SYMBOL_CRC(ceph_monc_wait_osdmap, 0x63e90388, "");
SYMBOL_CRC(ceph_monc_open_session, 0xd1413529, "");
SYMBOL_CRC(ceph_monc_do_statfs, 0xe5a50de4, "");
SYMBOL_CRC(ceph_monc_get_version, 0xc1c8ef47, "");
SYMBOL_CRC(ceph_monc_get_version_async, 0x1ebcc67d, "");
SYMBOL_CRC(ceph_monc_blocklist_add, 0x773fb433, "");
SYMBOL_CRC(ceph_monc_init, 0x0532580c, "");
SYMBOL_CRC(ceph_monc_stop, 0x1ba6ea74, "");
SYMBOL_CRC(ceph_monc_validate_auth, 0x6ee39574, "");
SYMBOL_CRC(ceph_decode_entity_addr, 0xd4eb7735, "");
SYMBOL_CRC(ceph_decode_entity_addrvec, 0x50603ce3, "");
SYMBOL_CRC(ceph_cls_lock, 0xb172f8f2, "");
SYMBOL_CRC(ceph_cls_unlock, 0xd28f34b2, "");
SYMBOL_CRC(ceph_cls_break_lock, 0x993c14d8, "");
SYMBOL_CRC(ceph_cls_set_cookie, 0x03b12ed5, "");
SYMBOL_CRC(ceph_free_lockers, 0xa698f998, "");
SYMBOL_CRC(ceph_cls_lock_info, 0xd1132b32, "");
SYMBOL_CRC(ceph_cls_assert_locked, 0x651b3abf, "");
SYMBOL_CRC(osd_req_op_extent_osd_data, 0xd0ebdd19, "");
SYMBOL_CRC(osd_req_op_raw_data_in_pages, 0xc11b8819, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pages, 0xddb563e4, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pagelist, 0x4e6af7d1, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bio, 0xb6163595, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvecs, 0x87f453d7, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvec_pos, 0x799913d5, "");
SYMBOL_CRC(osd_req_op_extent_osd_iter, 0x4108843d, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pagelist, 0x4ddc3e44, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pages, 0x82957d1f, "");
SYMBOL_CRC(osd_req_op_cls_request_data_bvecs, 0x44165371, "");
SYMBOL_CRC(osd_req_op_cls_response_data_pages, 0xa3411e7f, "");
SYMBOL_CRC(ceph_osdc_get_request, 0xd5ec5118, "");
SYMBOL_CRC(ceph_osdc_put_request, 0x57e2555e, "");
SYMBOL_CRC(ceph_osdc_alloc_request, 0x91c41992, "");
SYMBOL_CRC(ceph_osdc_alloc_messages, 0x1c1f8b70, "");
SYMBOL_CRC(osd_req_op_init, 0x758ce306, "");
SYMBOL_CRC(osd_req_op_extent_init, 0x29769f01, "");
SYMBOL_CRC(osd_req_op_extent_update, 0xde86bcef, "");
SYMBOL_CRC(osd_req_op_extent_dup_last, 0xcad5e516, "");
SYMBOL_CRC(osd_req_op_cls_init, 0x558ce58e, "");
SYMBOL_CRC(osd_req_op_xattr_init, 0x8d202729, "");
SYMBOL_CRC(osd_req_op_alloc_hint_init, 0x61a1100f, "");
SYMBOL_CRC(ceph_osdc_new_request, 0x92bd49d9, "");
SYMBOL_CRC(__ceph_alloc_sparse_ext_map, 0x09b0d5d9, "");
SYMBOL_CRC(ceph_osdc_abort_requests, 0x9ab9b9aa, "");
SYMBOL_CRC(ceph_osdc_clear_abort_err, 0x02655b54, "");
SYMBOL_CRC(ceph_osdc_update_epoch_barrier, 0x11366358, "");
SYMBOL_CRC(ceph_osdc_start_request, 0xe3fba620, "");
SYMBOL_CRC(ceph_osdc_cancel_request, 0x22eaf7f0, "");
SYMBOL_CRC(ceph_osdc_wait_request, 0x2f2dee15, "");
SYMBOL_CRC(ceph_osdc_sync, 0xbb793f20, "");
SYMBOL_CRC(ceph_osdc_watch, 0x3cbf0a12, "");
SYMBOL_CRC(ceph_osdc_unwatch, 0xaed2f5aa, "");
SYMBOL_CRC(ceph_osdc_notify_ack, 0x36658e18, "");
SYMBOL_CRC(ceph_osdc_notify, 0x60d8fe22, "");
SYMBOL_CRC(ceph_osdc_list_watchers, 0xcdc2544c, "");
SYMBOL_CRC(ceph_osdc_flush_notifies, 0x87569b0a, "");
SYMBOL_CRC(ceph_osdc_maybe_request_map, 0xfe2d080a, "");
SYMBOL_CRC(ceph_osdc_call, 0xc90b41f5, "");
SYMBOL_CRC(osd_req_op_copy_from_init, 0xd24e573b, "");
SYMBOL_CRC(ceph_pg_pool_name_by_id, 0x1378aba3, "");
SYMBOL_CRC(ceph_pg_poolid_by_name, 0x04cad6f0, "");
SYMBOL_CRC(ceph_pg_pool_flags, 0x92b7b4ce, "");
SYMBOL_CRC(ceph_oloc_copy, 0xbd2f79ae, "");
SYMBOL_CRC(ceph_oloc_destroy, 0x417a9131, "");
SYMBOL_CRC(ceph_oid_copy, 0x2087719e, "");
SYMBOL_CRC(ceph_oid_printf, 0xdf6ef4a1, "");
SYMBOL_CRC(ceph_oid_aprintf, 0x5aeeee62, "");
SYMBOL_CRC(ceph_oid_destroy, 0x2101cbc9, "");
SYMBOL_CRC(ceph_object_locator_to_pg, 0xe34a59f2, "");
SYMBOL_CRC(ceph_pg_to_acting_primary, 0x17c17611, "");
SYMBOL_CRC(ceph_calc_file_object_mapping, 0x9fefa3cb, "");
SYMBOL_CRC(ceph_file_to_extents, 0x38f2d94e, "");
SYMBOL_CRC(ceph_iterate_extents, 0xeef6cfa3, "");
SYMBOL_CRC(ceph_extent_to_file, 0xca80437b, "");
SYMBOL_CRC(ceph_get_num_objects, 0x3c8d7111, "");
SYMBOL_CRC(ceph_auth_is_authenticated, 0xd5a9fa4e, "");
SYMBOL_CRC(__ceph_auth_get_authorizer, 0x8f4b77b7, "");
SYMBOL_CRC(ceph_auth_destroy_authorizer, 0xad703657, "");
SYMBOL_CRC(ceph_auth_add_authorizer_challenge, 0xdb6ec5ef, "");
SYMBOL_CRC(ceph_auth_verify_authorizer_reply, 0x53ac0f86, "");
SYMBOL_CRC(ceph_auth_invalidate_authorizer, 0x5e2c02f7, "");
SYMBOL_CRC(ceph_auth_get_authorizer, 0x5e51cf60, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_more, 0x33c5d1b6, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_done, 0x50ef3b9b, "");
SYMBOL_CRC(ceph_auth_handle_bad_authorizer, 0x6a80502c, "");
SYMBOL_CRC(ceph_entity_type_name, 0xdfc091f9, "");
SYMBOL_CRC(ceph_str_hash, 0x57baf885, "");
SYMBOL_CRC(ceph_str_hash_name, 0x63758856, "");
SYMBOL_CRC(ceph_put_page_vector, 0x683dd17d, "");
SYMBOL_CRC(ceph_release_page_vector, 0xb173999b, "");
SYMBOL_CRC(ceph_alloc_page_vector, 0x0e95b5f0, "");
SYMBOL_CRC(ceph_copy_user_to_page_vector, 0x2f785349, "");
SYMBOL_CRC(ceph_copy_to_page_vector, 0xfbfc0110, "");
SYMBOL_CRC(ceph_copy_from_page_vector, 0x7798f218, "");
SYMBOL_CRC(ceph_zero_page_vector_range, 0xf5705558, "");
SYMBOL_CRC(ceph_create_snap_context, 0x9ca95932, "");
SYMBOL_CRC(ceph_get_snap_context, 0xbe3879aa, "");
SYMBOL_CRC(ceph_put_snap_context, 0x86fca7e4, "");
SYMBOL_CRC(ceph_find_or_create_string, 0x9bc6b539, "");
SYMBOL_CRC(ceph_release_string, 0xee120c03, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4300dd09, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x72b38212, "flush_dcache_page" },
	{ 0xdf23b5d7, "tcp_sock_set_cork" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc4b0687, "fs_param_is_string" },
	{ 0xecffb81e, "vmalloc_to_page" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3bf81df4, "iov_iter_advance" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xad5587d, "unregister_key_type" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x9fd082cb, "iov_iter_get_pages2" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x27fe343, "seq_lseek" },
	{ 0x3ae699dd, "fs_param_is_enum" },
	{ 0x86eb54bb, "logfc" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0x7d317045, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd0b91fa0, "crypto_aead_setauthsize" },
	{ 0x70e0e78f, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd090ba4, "crypto_skcipher_setkey" },
	{ 0x148653, "vsnprintf" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x93ab7764, "register_key_type" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf1ee9e44, "crypto_destroy_tfm" },
	{ 0xdf8a6df4, "fs_param_is_u32" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x1953c958, "mempool_create" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd9e7a97d, "filemap_alloc_folio" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x81effb86, "crypto_skcipher_decrypt" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x85920bb3, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xe653bd32, "key_put" },
	{ 0xdc755710, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0x8ca224fc, "__traceiter_sk_data_ready" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0xc0f4284f, "crypto_shash_setkey" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x50ff1ee7, "crypto_aead_encrypt" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0xc5ba48a4, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x412f9620, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1703570a, "iov_iter_kvec" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xd883cf91, "sock_sendmsg" },
	{ 0xeb7fb589, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x11089ac7, "_ctype" },
	{ 0x97cdb3ea, "sg_alloc_table_from_pages_segment" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xa777c43, "kernel_connect" },
	{ 0xdcb764ad, "memset" },
	{ 0xd8a8033f, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf0e44c40, "crypto_alloc_sync_skcipher" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d0728fc, "seq_read" },
	{ 0xe11a194f, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xfc9af0f3, "debugfs_create_file" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1d7dfd1a, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x848ddfd3, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0xb27c192c, "request_key_tag" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd77a2d7a, "generic_key_instantiate" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40f30a47, "seq_printf" },
	{ 0xcca35d92, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9d51066c, "set_page_dirty_lock" },
	{ 0x39cf629a, "sock_release" },
	{ 0x1f8f4246, "iov_iter_discard" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x154b24cd, "single_release" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5ec33e5b, "tcp_sock_set_nodelay" },
	{ 0x5dc461d2, "__fs_parse" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0xa57e0fd4, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x89e97257, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x6b7f47, "crypto_alloc_shash" },
	{ 0xcdcdfd54, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c7312ae, "kernel_sendmsg" },
	{ 0x53b954a2, "up_read" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "libcrc32c");


MODULE_INFO(srcversion, "A9086E5411A85361B5A4E01");

MODULE_INFO(suserelease, "SLE15-SP6");
