#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0xbf43bc88, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x326f2723, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0x2be09170, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0xcab173a3, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x8171199a, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0x6eab4197, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x62ba5352, "_gpl");
SYMBOL_CRC(dccp_child_process, 0x32c016ff, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0x87a40f7c, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0xb370d55e, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0x4322fe71, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x2e454ead, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0x1b2eb414, "_gpl");
SYMBOL_CRC(dccp_make_response, 0xf63e2b01, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0x1115ce1d, "_gpl");
SYMBOL_CRC(dccp_connect, 0x986c6f3b, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0xd74190a1, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x1e33415f, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xd7cdb975, "_gpl");
SYMBOL_CRC(dccp_set_state, 0x7f9ddff4, "_gpl");
SYMBOL_CRC(dccp_done, 0x78b08d3e, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0xe15a45d8, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x22889913, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0xe0772dd3, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0xc818bd85, "_gpl");
SYMBOL_CRC(dccp_poll, 0x29e0752d, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0xa37a9d26, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0x6ce573bc, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x214f71ff, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0x68a5f0d6, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x55c82419, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0x233941db, "_gpl");
SYMBOL_CRC(dccp_close, 0x141555ab, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0x2ef79c89, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x3e0a087f, "inet_hashinfo2_init_mod" },
	{ 0x1136e918, "inet_bhash2_reset_saddr" },
	{ 0x174e6c46, "inet_ehash_locks_alloc" },
	{ 0x9c484401, "skb_put" },
	{ 0x181416d4, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfd9e64bf, "consume_skb" },
	{ 0xd0c15a2d, "sock_wmalloc" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x18e99bf7, "skb_dequeue" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0x84c1c552, "proc_dointvec_ms_jiffies" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xecfd13cc, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0xdfb19665, "inet_twsk_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7589848, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0xe6f9d3d9, "inet_sock_destruct" },
	{ 0x368bfc52, "inet_put_port" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x39b90dd8, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x9e46c439, "__alloc_skb" },
	{ 0x8eb07073, "sk_reset_timer" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0x8c4111b, "skb_queue_tail" },
	{ 0x60093d3e, "sk_stream_wait_close" },
	{ 0x690d1889, "inet_twsk_hashdance" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0xc9f9f474, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe4ee4c56, "sk_free" },
	{ 0xfe21542d, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0xe9e5f121, "skb_push" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0xec2e1c8f, "proc_doulongvec_minmax" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x2f0e6393, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x8b545715, "skb_copy_datagram_iter" },
	{ 0xcecca2ce, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x3cff5b14, "sk_wait_data" },
	{ 0x93c10e8e, "inet_csk_clone_lock" },
	{ 0xf993c1b, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd0c10ce1, "inet_csk_listen_start" },
	{ 0x693a9d03, "sk_free_unlock_clone" },
	{ 0x851c425e, "sock_rfree" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x8a9b8cbf, "skb_set_owner_w" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5a8cbaf2, "param_ops_bool" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x48f27fb6, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x65177bd2, "skb_clone" },
	{ 0x9a2badc1, "inet_sk_set_state" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe1678be1, "dst_release" },
	{ 0x88708550, "sk_stream_wait_connect" },
	{ 0xb89568b0, "_copy_from_iter" },
	{ 0xd4805609, "inet_csk_destroy_sock" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xea0a7e42, "sk_stop_timer" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0xd98e3bbf, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x8690b2ef, "param_ops_int" },
	{ 0xa57e0fd4, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x67fcd9d4, "inet_csk_listen_stop" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe29d03f3, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0xd4da1438, "inet_csk_complete_hashdance" },
	{ 0x3bf1021d, "release_sock" },
	{ 0x89ecb27f, "inet_csk_reqsk_queue_drop" },
	{ 0x7dce0099, "__inet_twsk_schedule" },
	{ 0x2cdf87a1, "proc_dointvec_minmax" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8F19CA672DFA0CD3C953E04");

MODULE_INFO(suserelease, "SLE15-SP6");
