#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x5251cbd8, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x15ce5fe0, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x91f742fe, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x1f4be9ab, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x67d888b8, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xb66d2c70, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x5e6bbff0, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0xd1c82e11, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xe383ceb3, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x746ac0b4, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xf6bf0a7d, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x9bba928d, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x6b49f296, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x2aac39f1, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xf6db3c3f, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xdfa8157b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xa40f9076, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xa45a32c7, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xef864c59, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x743337cc, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xfd14e656, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbb73972f, "bpf_trace_run1" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x848ddfd3, "sock_create_kern" },
	{ 0xce28b1c3, "kernel_bind" },
	{ 0xa777c43, "kernel_connect" },
	{ 0x127b13bc, "udp_sock_create6" },
	{ 0x5f33c285, "kernel_sock_shutdown" },
	{ 0x39cf629a, "sock_release" },
	{ 0xb22b2c07, "udp_sock_create4" },
	{ 0x7be10e45, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4fa09e12, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x20978fb9, "idr_find" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0xe4ee4c56, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0x18e99bf7, "skb_dequeue" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x18850334, "sockfd_lookup" },
	{ 0x2f0e6393, "lock_sock_nested" },
	{ 0x3bf1021d, "release_sock" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xd871a465, "fput" },
	{ 0xcd4b6c03, "setup_udp_tunnel_sock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xdd1205a8, "udp_set_csum" },
	{ 0xdfb35a78, "ip_queue_xmit" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4eba4ed0, "pskb_expand_head" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x89a1c5b2, "inet6_csk_xmit" },
	{ 0xe1678be1, "dst_release" },
	{ 0x69bb3950, "udp6_set_csum" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8c4111b, "skb_queue_tail" },
	{ 0x17bc0ffd, "__pskb_pull_tail" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4583EC78E1FA52F20EA565C");

MODULE_INFO(suserelease, "SLE15-SP6");
