#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfd14e656, "l2tp_session_create" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9bba928d, "l2tp_session_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xa8312c21, "sk_alloc" },
	{ 0xde99a4ce, "sock_init_data" },
	{ 0x19c3178a, "skb_queue_purge_reason" },
	{ 0x67d888b8, "l2tp_session_dec_refcount" },
	{ 0x2aac39f1, "l2tp_udp_encap_recv" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xf9d1727f, "skb_recv_datagram" },
	{ 0x8b545715, "skb_copy_datagram_iter" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xb66d2c70, "l2tp_tunnel_get" },
	{ 0xdfa8157b, "l2tp_tunnel_create" },
	{ 0x91f742fe, "l2tp_tunnel_dec_refcount" },
	{ 0x15ce5fe0, "l2tp_tunnel_inc_refcount" },
	{ 0xa40f9076, "l2tp_tunnel_register" },
	{ 0xeadcce1e, "remove_proc_entry" },
	{ 0x6852b74e, "proc_create_net_data" },
	{ 0x337f2432, "l2tp_nl_unregister_ops" },
	{ 0xe0ff7a18, "unregister_pppox_proto" },
	{ 0x16da83a7, "proto_unregister" },
	{ 0x7be10e45, "unregister_pernet_device" },
	{ 0x4fa09e12, "register_pernet_device" },
	{ 0x7a05dfa2, "proto_register" },
	{ 0x4d5d9648, "register_pppox_proto" },
	{ 0xd06995c0, "l2tp_nl_register_ops" },
	{ 0x92997ed8, "_printk" },
	{ 0x2f0e6393, "lock_sock_nested" },
	{ 0x3bf1021d, "release_sock" },
	{ 0xd1c82e11, "l2tp_tunnel_get_session" },
	{ 0xa45a32c7, "l2tp_tunnel_delete" },
	{ 0x1f4be9ab, "l2tp_session_inc_refcount" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe1678be1, "dst_release" },
	{ 0xa9c25def, "ppp_register_net_channel" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xef864c59, "l2tp_session_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x5e6bbff0, "l2tp_tunnel_get_nth" },
	{ 0x746ac0b4, "l2tp_session_get_nth" },
	{ 0xe7be26d9, "ppp_input" },
	{ 0x5df9988e, "sock_queue_rcv_skb_reason" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd412f1ef, "skb_pull" },
	{ 0x17bc0ffd, "__pskb_pull_tail" },
	{ 0xe4ee4c56, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x51723dcf, "ppp_dev_name" },
	{ 0x40f30a47, "seq_printf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xf6db3c3f, "l2tp_xmit_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4eba4ed0, "pskb_expand_head" },
	{ 0xdcb764ad, "memset" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x743337cc, "l2tp_session_set_header_len" },
	{ 0xd0c15a2d, "sock_wmalloc" },
	{ 0x9c484401, "skb_put" },
	{ 0xb89568b0, "_copy_from_iter" },
	{ 0xa57e0fd4, "iov_iter_revert" },
	{ 0x5c755294, "pppox_unbind_sock" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3d69c3ca, "sock_no_bind" },
	{ 0x71cf790d, "sock_no_socketpair" },
	{ 0x1ed0f226, "sock_no_accept" },
	{ 0x55638615, "datagram_poll" },
	{ 0x591b096c, "pppox_ioctl" },
	{ 0x362744ea, "pppox_compat_ioctl" },
	{ 0x9d4707a2, "sock_no_listen" },
	{ 0x839226b4, "sock_no_shutdown" },
	{ 0x457502f4, "sock_no_mmap" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "l2tp_core,l2tp_netlink,pppox,ppp_generic");


MODULE_INFO(srcversion, "C27C977E6B2D9E655BD7531");

MODULE_INFO(suserelease, "SLE15-SP6");
