#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nf_ct_nat_ext_add, 0x46928d61, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xc4cf0e0a, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x77b45711, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xcdb03e8b, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x016fc8df, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x400fa1c9, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x37d4f0e8, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0xba04830a, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x0fb3a37b, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x4bdcc238, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xf3eb6b9d, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x9999b85d, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x5bb1be18, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x578bb602, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x10a5a69a, "");
SYMBOL_CRC(nf_nat_follow_master, 0xc0c0b68a, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x115f4c2b, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x41910214, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x80073240, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x1b28e4e3, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x52069607, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x56942499, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4b678da, "nf_ct_ext_add" },
	{ 0x90731e18, "__do_once_done" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0x3d167f16, "nf_ip6_checksum" },
	{ 0x2f9de88e, "skb_copy_bits" },
	{ 0xaaea64d5, "nf_hook_entries_insert_raw" },
	{ 0x248d3a56, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xac6f4b4f, "nf_ct_seqadj_set" },
	{ 0x9c484401, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdff5d92b, "nf_ct_helper_expectfn_unregister" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xa91b6417, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x855fba7a, "nf_ct_helper_expectfn_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x4bf78d7f, "ip6_route_me_harder" },
	{ 0x4eba4ed0, "pskb_expand_head" },
	{ 0x817cc1fb, "register_pernet_subsys" },
	{ 0x25dac5da, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xd40a81ce, "nf_ct_iterate_cleanup_net" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7fb9e244, "ipv6_skip_exthdr" },
	{ 0xb148ebbb, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xf9b56dad, "module_put" },
	{ 0xaef3369a, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xfe19dff4, "nf_ct_expect_related_report" },
	{ 0xbc1bd2b3, "nf_conntrack_alter_reply" },
	{ 0x25ce153b, "ip_route_me_harder" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x54bb7887, "nf_hook_entries_delete_raw" },
	{ 0x8dd38a5a, "skb_ensure_writable" },
	{ 0xd735ffc0, "nf_unregister_net_hooks" },
	{ 0x20bd5145, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xb53d51ac, "unregister_pernet_subsys" },
	{ 0xcecca2ce, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xec44bd7a, "nf_ip_checksum" },
	{ 0x96dd2e1e, "register_btf_kfunc_id_set" },
	{ 0x33c02e90, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xf4186b29, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe11a194f, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x397a40c1, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3ee33fc1, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe1678be1, "dst_release" },
	{ 0x1bdea8c0, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x3649bd6d, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "8B553A41E61FA63F2FB76DD");

MODULE_INFO(suserelease, "SLE15-SP6");
