#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xd529732c, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x026d1a2b, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x0cc1abfc, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x2b4933d7, "");
SYMBOL_CRC(gss_mech_put, 0x62af341b, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xeba6771e, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xa45d1a73, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfdb045d9, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0x91c8d7bf, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x4d627663, "xdr_buf_from_iov" },
	{ 0xc008f706, "bpf_trace_run4" },
	{ 0x7d904a62, "xdr_stream_decode_opaque_auth" },
	{ 0x2efe5cd2, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x30357258, "xdr_write_pages" },
	{ 0x24ade542, "rpc_shutdown_client" },
	{ 0x111a9f9d, "auth_domain_find" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe99f95c0, "xdr_inline_decode" },
	{ 0x4786d863, "cache_create_net" },
	{ 0x37567a33, "rpcauth_destroy_credcache" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xf041abe7, "bpf_trace_run6" },
	{ 0x6a14484d, "rpc_net_ns" },
	{ 0x3bdbb9f0, "read_bytes_from_xdr_buf" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x71bc40e3, "rpc_wake_up" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x44526265, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0x164a6113, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xdc5d245e, "xdr_truncate_decode" },
	{ 0x36aada87, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe35d4c6c, "__xdr_commit_encode" },
	{ 0x1145c52, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa8ad2111, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x36e26217, "__put_cred" },
	{ 0x817cc1fb, "register_pernet_subsys" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0xd24a5464, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x785b71dc, "rpc_release_client" },
	{ 0xcd61fd38, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x34d184de, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xb1ba7456, "svc_auth_register" },
	{ 0x85b2c573, "xdr_stream_encode_opaque_auth" },
	{ 0xab385d4b, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x993755dc, "rpc_destroy_pipe_data" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0x25f586cb, "rpc_pipe_generic_upcall" },
	{ 0xf9b56dad, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xb4cfbc6, "cache_unregister_net" },
	{ 0x873a7ff9, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99d56ae3, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x2c5e6fc9, "rpcauth_init_credcache" },
	{ 0x5189aed9, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x84d756e1, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x54d5cf7e, "rpc_call_null" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89d0ac23, "rpc_sleep_on_timeout" },
	{ 0x8273191d, "rpc_create" },
	{ 0xbb73972f, "bpf_trace_run1" },
	{ 0x92789c6b, "rpc_call_sync" },
	{ 0x984866db, "from_kuid" },
	{ 0xb53d51ac, "unregister_pernet_subsys" },
	{ 0x4069914b, "rpc_queue_upcall" },
	{ 0xa9921f28, "xdr_encode_word" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8a916e56, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0xcbc0ae71, "svcauth_unix_set_client" },
	{ 0x92d7dfe4, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x47c729b8, "make_kgid" },
	{ 0x80f9049b, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xc42af93e, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x89a7a34d, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3f4932e8, "bpf_trace_run3" },
	{ 0xe11a194f, "__put_net" },
	{ 0x6f46dbcc, "rpc_mkpipe_dentry" },
	{ 0x65a05acb, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xb7015a42, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0xf9afb7c5, "cache_register_net" },
	{ 0x5f4f948d, "init_user_ns" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x877962ae, "xdr_inline_pages" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0xeadcce1e, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0xf0b7775d, "rpc_init_wait_queue" },
	{ 0xf9834cab, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x3601c749, "rpc_unlink" },
	{ 0xa1c5d425, "rpcauth_wrap_req_encode" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x64563cc6, "from_kuid_munged" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xa4edc67, "rpcauth_init_cred" },
	{ 0xed918f8a, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb3711494, "cache_destroy_net" },
	{ 0x98cf60b3, "strlen" },
	{ 0x62e198c4, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x93f1bef8, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x55914794, "sunrpc_cache_update" },
	{ 0xeb40da1, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66ed2439, "rpc_destroy_wait_queue" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe64aad70, "auth_domain_put" },
	{ 0xd0e61b44, "rpcauth_unwrap_resp_decode" },
	{ 0xcc414083, "rpcauth_register" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "442D20FD55D123F4807A85A");

MODULE_INFO(suserelease, "SLE15-SP6");
