#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(neon_aes_ecb_encrypt, 0xd5f41819, "");
SYMBOL_CRC(neon_aes_cbc_encrypt, 0x52d67a4e, "");
SYMBOL_CRC(neon_aes_ctr_encrypt, 0xb8c706a6, "");
SYMBOL_CRC(neon_aes_xts_encrypt, 0xea11590c, "");
SYMBOL_CRC(neon_aes_xts_decrypt, 0xefc32a9b, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x9f2fb26d, "crypto_unregister_shashes" },
	{ 0xffe731b6, "crypto_shash_tfm_digest" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x8fd180e7, "kernel_neon_begin" },
	{ 0xd9d952d1, "crypto_aes_sbox" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xf1ee9e44, "crypto_destroy_tfm" },
	{ 0xc7efd59d, "cpu_hwcaps" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x77cefd45, "skcipher_walk_virt" },
	{ 0x2391f725, "irq_stat" },
	{ 0x98af0bc3, "crypto_register_shashes" },
	{ 0xc825d0b9, "crypto_register_skciphers" },
	{ 0xddead9bb, "skcipher_walk_done" },
	{ 0xa8a8110c, "kernel_neon_end" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x670febba, "crypto_unregister_skciphers" },
	{ 0x6b7f47, "crypto_alloc_shash" },
	{ 0x8946ea72, "fpsimd_context_busy" },
	{ 0xa84ce9e0, "crypto_aes_inv_sbox" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AA9B76C33014CB45822B5B3");

MODULE_INFO(suserelease, "SLE15-SP6");
