#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x8fd5d38e, "");
SYMBOL_CRC(flow_resources_alloc, 0xc1828f17, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x8dee2778, "");
SYMBOL_CRC(flow_resources_add, 0xa2fead55, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x0b5feae8, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x13ffd495, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0x7bfe4336, "");
SYMBOL_CRC(uverbs_idr_class, 0x24b881a6, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x9795bb84, "");
SYMBOL_CRC(uverbs_fd_class, 0x9cd918f2, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x6d07158b, "");
SYMBOL_CRC(_uverbs_alloc, 0x7d1a5cd4, "");
SYMBOL_CRC(uverbs_get_flags64, 0x600faf32, "");
SYMBOL_CRC(uverbs_get_flags32, 0xaa8eb2a7, "");
SYMBOL_CRC(uverbs_copy_to, 0x1571526d, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x19cebcb8, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x40b4bc31, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x8bb07d95, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xd15710a6, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x50850d92, "");
SYMBOL_CRC(ib_umem_get, 0x55b7db0d, "");
SYMBOL_CRC(ib_umem_release, 0xc8b75988, "");
SYMBOL_CRC(ib_umem_copy_from, 0x9c0e4288, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x3cb10767, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x5f8075cc, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0xc13c378c, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x8f706f44, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0xf525f0ab, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x3d5caf01, "");
SYMBOL_CRC(ib_umem_odp_get, 0x14cdd3c3, "");
SYMBOL_CRC(ib_umem_odp_release, 0x8089e1f8, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x718a190a, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x7f802953, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe66a9097, "pin_user_pages_fast" },
	{ 0x7a77c966, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe142251e, "anon_inode_getfile" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x45c551fc, "ib_unregister_client" },
	{ 0xdb90a93a, "show_class_attr_string" },
	{ 0x51136a7b, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x72f011d0, "dev_set_name" },
	{ 0x4b71a9e4, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xe88b554e, "mmu_interval_read_begin" },
	{ 0x7c96f2b8, "ib_create_qp_user" },
	{ 0xfe6898e8, "dma_resv_wait_timeout" },
	{ 0x4ab5e652, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x27d020bb, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8aa0b7d2, "kill_fasync" },
	{ 0x29451a89, "dma_unmap_page_attrs" },
	{ 0x77fa3bd3, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xd7fbdd4f, "fget" },
	{ 0x147e2e06, "__put_task_struct" },
	{ 0xf17baa33, "ib_query_srq" },
	{ 0xa1635780, "ww_mutex_unlock" },
	{ 0xb3d7e55f, "device_initialize" },
	{ 0x498bba90, "__dynamic_ibdev_dbg" },
	{ 0xc8de0958, "ib_rdmacg_try_charge" },
	{ 0x1f17a3ba, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5e9000e0, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xf42480ab, "unpin_user_page_range_dirty_lock" },
	{ 0xc40efe1d, "iput" },
	{ 0xab8d15f8, "dma_buf_unpin" },
	{ 0x46a2a996, "zap_vma_ptes" },
	{ 0x944ea6dd, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc7409852, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xcf47b81e, "rdma_dev_access_netns" },
	{ 0x88391b98, "get_device" },
	{ 0xf8344b83, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x7c978dfb, "dma_buf_dynamic_attach" },
	{ 0x2d9c3c34, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0x72f7ae7e, "ib_destroy_srq_user" },
	{ 0xf41a0ba6, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x8ac12960, "hmm_range_fault" },
	{ 0xa42325d, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x5c74801c, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xdab87748, "rdma_restrack_add" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xac761154, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0xb7ceb46d, "ib_modify_qp_with_udata" },
	{ 0xe9098c15, "ib_register_event_handler" },
	{ 0x68cc4174, "ib_detach_mcast" },
	{ 0xf308b0ec, "dma_buf_map_attachment" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0xa15866a6, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf9b56dad, "module_put" },
	{ 0xb426369d, "ib_register_client" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x9df6a2da, "compat_ptr_ioctl" },
	{ 0x8a1c2dc0, "ib_create_srq_user" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x5d4d184e, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x740c7d5e, "init_srcu_struct" },
	{ 0xd871a465, "fput" },
	{ 0xf985f98, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe6d5c496, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x8b768e6a, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0xa3878fd2, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xa6239fe5, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0xdea89aab, "dma_buf_get" },
	{ 0xe5b35805, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0x7965889, "nla_put" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xce3a6764, "ww_mutex_lock" },
	{ 0x65258857, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1435c392, "ib_qp_usecnt_inc" },
	{ 0x3439fe3f, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x6861ab6f, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x71b1c89b, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x368e84f0, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2f15707e, "rdma_restrack_set_name" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5b697807, "rdma_create_user_ah" },
	{ 0x3ef07364, "rdma_destroy_ah_user" },
	{ 0x9dab7abe, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb98c9bbe, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0xe5dac7c1, "__mmdrop" },
	{ 0x61be814, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9f944a43, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0xed7049c2, "__mmap_lock_do_trace_start_locking" },
	{ 0xa46682d7, "ib_rdmacg_uncharge" },
	{ 0xc7842c84, "igrab" },
	{ 0x8b30c8d8, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x6d2ca249, "mmput" },
	{ 0x4c4aa96b, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb5d41548, "__mmap_lock_do_trace_released" },
	{ 0xf0b6985c, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc34f857b, "__srcu_read_unlock" },
	{ 0x22a33327, "rdma_set_cq_moderation" },
	{ 0x1f824d54, "ib_dealloc_xrcd_user" },
	{ 0x41800d60, "dma_buf_detach" },
	{ 0xcaa363f4, "stream_open" },
	{ 0xdb230434, "mmu_interval_notifier_insert" },
	{ 0xc09fcaa0, "mmput_async" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xf3ef2a1, "ib_open_qp" },
	{ 0xd3b3a6d1, "ib_dealloc_pd_user" },
	{ 0x6ae1ede, "rdma_get_gid_attr" },
	{ 0xa6d636ae, "dma_unmap_sg_attrs" },
	{ 0x36f91358, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x2325221a, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x9f98282c, "rdma_query_gid_table" },
	{ 0xe8f8143e, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6494d1, "rdma_restrack_put" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x17fc4ee3, "ib_attach_mcast" },
	{ 0xa994c1d5, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x94724b9, "ib_destroy_wq_user" },
	{ 0x5a0340d5, "put_pid" },
	{ 0xc4026bc4, "class_register" },
	{ 0xf787d124, "cdev_init" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xf7c87b90, "rdma_user_mmap_entry_put" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "45FCE01455551C304395EFE");

MODULE_INFO(suserelease, "SLE15-SP6");
