#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(macsec_pn_wrapped, 0x41a7a120, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x744be2d4, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xd5177e05, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x83f51840, "__nla_parse" },
	{ 0xbe06e65, "__dev_get_by_index" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1ee9e44, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d317045, "crypto_alloc_aead" },
	{ 0xdc755710, "crypto_aead_setkey" },
	{ 0xd0b91fa0, "crypto_aead_setauthsize" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0x7965889, "nla_put" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xd412f1ef, "skb_pull" },
	{ 0x10d93445, "___pskb_trim" },
	{ 0x459f4f13, "eth_type_trans" },
	{ 0x53f8d7ce, "ether_setup" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xfd6b75cc, "dev_mc_sync" },
	{ 0xf6bd7a8a, "dev_uc_sync" },
	{ 0x26d422, "dev_set_allmulti" },
	{ 0xc4250d97, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x4376531b, "genl_unregister_family" },
	{ 0x6fbf542e, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc0fea2bf, "rtnl_link_register" },
	{ 0x4436d013, "genl_register_family" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf98dc976, "dev_uc_add" },
	{ 0x190e5609, "dev_uc_del" },
	{ 0x14687c42, "dev_addr_mod" },
	{ 0xb53e5d2, "netif_carrier_off" },
	{ 0x6bb70805, "dev_mc_unsync" },
	{ 0x5d2bf6c1, "dev_uc_unsync" },
	{ 0xdbd571cc, "netif_carrier_on" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xdcb764ad, "memset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe8c80216, "unregister_netdevice_queue" },
	{ 0xbc6acbcd, "netdev_upper_dev_unlink" },
	{ 0x1054b8d6, "netdev_rx_handler_unregister" },
	{ 0x30f12da, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x9095dfe5, "netif_stacked_transfer_operstate" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xd7128de6, "register_netdevice" },
	{ 0x1f4d2e69, "netdev_upper_dev_link" },
	{ 0x880dadf9, "metadata_dst_alloc" },
	{ 0x9daee6fd, "linkwatch_fire_event" },
	{ 0x99b5fb3c, "netdev_rx_handler_register" },
	{ 0xe1678be1, "dst_release" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xe1719880, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3419f7e7, "gro_cells_init" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb57f7e5, "gro_cells_receive" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x65177bd2, "skb_clone" },
	{ 0xb534e972, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2286e2cc, "skb_copy" },
	{ 0xfd9e64bf, "consume_skb" },
	{ 0xe9e5f121, "skb_push" },
	{ 0x17bc0ffd, "__pskb_pull_tail" },
	{ 0xc174579e, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x3f24bc13, "skb_to_sgvec" },
	{ 0x70e0e78f, "crypto_aead_decrypt" },
	{ 0x5989ff6c, "skb_copy_expand" },
	{ 0x9c484401, "skb_put" },
	{ 0x50ff1ee7, "crypto_aead_encrypt" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x653f9a14, "genlmsg_put" },
	{ 0xe63bfc68, "skb_trim" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6C926E3BBFB47903E3AB32B");

MODULE_INFO(suserelease, "SLE15-SP6");
