#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(macvlan_common_setup, 0x1130d83e, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x1766c191, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x268c7208, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x688a195b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53f8d7ce, "ether_setup" },
	{ 0xdcd7c887, "__ethtool_get_link_ksettings" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc9f9f474, "init_net" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x86ba64a3, "dev_mc_del" },
	{ 0x190e5609, "dev_uc_del" },
	{ 0x4b1a34c0, "dev_mc_add_excl" },
	{ 0x1f2143c4, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xc958b499, "__netpoll_free" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x778fde85, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0x7cfe8893, "vlan_vid_del" },
	{ 0x43f09a30, "vlan_vid_add" },
	{ 0x14687c42, "dev_addr_mod" },
	{ 0xf98dc976, "dev_uc_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x26d422, "dev_set_allmulti" },
	{ 0xc4250d97, "dev_set_promiscuity" },
	{ 0x5d2bf6c1, "dev_uc_unsync" },
	{ 0x6bb70805, "dev_mc_unsync" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe8c80216, "unregister_netdevice_queue" },
	{ 0xbc6acbcd, "netdev_upper_dev_unlink" },
	{ 0xc0fea2bf, "rtnl_link_register" },
	{ 0x7965889, "nla_put" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x30f12da, "dev_set_mtu" },
	{ 0x80770228, "netif_inherit_tso_max" },
	{ 0x143e8896, "netdev_update_features" },
	{ 0x9095dfe5, "netif_stacked_transfer_operstate" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x37e06fb, "call_netdevice_notifiers" },
	{ 0x6fbf542e, "rtnl_link_unregister" },
	{ 0xcf20ffef, "dev_set_mac_address" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf6bd7a8a, "dev_uc_sync" },
	{ 0xfd6b75cc, "dev_mc_sync" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x1054b8d6, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xbe06e65, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x629d1651, "netdev_is_rx_handler_busy" },
	{ 0x99b5fb3c, "netdev_rx_handler_register" },
	{ 0xd7128de6, "register_netdevice" },
	{ 0x1f4d2e69, "netdev_upper_dev_link" },
	{ 0x9daee6fd, "linkwatch_fire_event" },
	{ 0x65177bd2, "skb_clone" },
	{ 0x683ef4cf, "netif_rx" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x349b522b, "__dev_forward_skb" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfd9e64bf, "consume_skb" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xe1719880, "__dev_queue_xmit" },
	{ 0xf3b737b7, "netpoll_send_skb" },
	{ 0xb981f96c, "dev_forward_skb" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xb534e972, "__netif_rx" },
	{ 0x99b222d, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcd5efcf, "netdev_core_stats_inc" },
	{ 0x254895ca, "passthru_features_check" },
	{ 0xee677ac6, "eth_validate_addr" },
	{ 0xdd086547, "ndo_dflt_fdb_dump" },
	{ 0x30f00e16, "eth_header_parse" },
	{ 0x9c87746a, "eth_header_cache" },
	{ 0x84b67752, "eth_header_cache_update" },
	{ 0xde5cff58, "ethtool_op_get_link" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F87CD77CC7F1CA18D28BA10");

MODULE_INFO(suserelease, "SLE15-SP6");
