#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvdimm_bus_lock, 0x796952a4, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0xb7e65f8d, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x0bb2c70d, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xfbb18dbf, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x41a34a96, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x3a1b1ee7, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x8b48875a, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0x8f315630, "");
SYMBOL_CRC(nd_device_notify, 0x01e960bb, "");
SYMBOL_CRC(nvdimm_region_notify, 0xb20c6f9b, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xff85fbe3, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xe3def487, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xc8647c3c, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x7c00e6d8, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x25b22cbd, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x475f68cd, "");
SYMBOL_CRC(nd_device_unregister, 0x998b6a95, "");
SYMBOL_CRC(__nd_driver_register, 0xbd705ff4, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x5dee4faa, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xc5230531, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x160eebda, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xa1e0eb68, "_gpl");
SYMBOL_CRC(to_ndd, 0x10224ab8, "");
SYMBOL_CRC(nvdimm_name, 0x406d07f6, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x288844c0, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0xff66b898, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x2ec8f8bb, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x67844d0f, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x00c032ad, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x3d074ab5, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x37ab6dda, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x2c305fe1, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x9445ddc3, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0xf038cea5, "_gpl");
SYMBOL_CRC(to_nd_region, 0xd4c90e1c, "_gpl");
SYMBOL_CRC(nd_region_dev, 0xfe85de49, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x8d8185ab, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0xb21d08b1, "");
SYMBOL_CRC(nd_region_acquire_lane, 0xa401f44f, "");
SYMBOL_CRC(nd_region_release_lane, 0xb8762bc4, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x61a96cfd, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x1bcdf470, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x56a6aa24, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x256caf8c, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x80544b72, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x887b0810, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0xcf644c73, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x1b8e1648, "");
SYMBOL_CRC(pmem_sector_size, 0x730bacd9, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x693c9684, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x71da3017, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x29f7f012, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xc9a6f42c, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0xefcc4133, "");
SYMBOL_CRC(devm_namespace_enable, 0x525331b5, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0xa5c503f3, "_gpl");
SYMBOL_CRC(badrange_init, 0x11e06ee9, "_gpl");
SYMBOL_CRC(badrange_add, 0x2e08226d, "_gpl");
SYMBOL_CRC(badrange_forget, 0x82092899, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x3acd9f93, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x145f84ce, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x5f5310b8, "blk_integrity_register" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x79130f8b, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x72f011d0, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x5a26cf85, "badblocks_set" },
	{ 0xf434d481, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd77140b, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xb3d7e55f, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xf8cecf00, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x88391b98, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xafa5b364, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc2367be5, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xac4d7601, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xac761154, "put_device" },
	{ 0xe478f363, "badblocks_show" },
	{ 0xd7242e89, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0xe3d74559, "_dev_info" },
	{ 0xf9b56dad, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9df6a2da, "compat_ptr_ioctl" },
	{ 0x7af19489, "perf_pmu_migrate_context" },
	{ 0x945e3ce3, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xe653bd32, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x15c5a3d7, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0xe6d5c496, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0xcf4d7b10, "cpu_bit_bitmap" },
	{ 0xa59468a7, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xaff0e69d, "noop_llseek" },
	{ 0x4e4e64d9, "class_create" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7238c370, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0x333ff6c6, "driver_unregister" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0x3dba4180, "perf_pmu_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7767423d, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x11ee1077, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x9f98b7a6, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5a8cbaf2, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xb27c192c, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x17247093, "kernfs_put" },
	{ 0xf95a2fe7, "__register_chrdev" },
	{ 0x7a268ded, "cpu_all_bits" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb686b574, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x8aca92db, "__devm_add_action" },
	{ 0xf6a28554, "region_intersects" },
	{ 0xb6c113dc, "badblocks_clear" },
	{ 0x5747218a, "devm_init_badblocks" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0x9a24efff, "driver_register" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0x7b80c97e, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x5864ac17, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6F7A2D06C18B1A1C56B3302");

MODULE_INFO(suserelease, "SLE15-SP6");
