#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0x7a2615fa, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0x421d5c29, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0x9672f536, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0xc0ce385d, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0xb1b38c16, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0xe1449b34, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0x816d3a46, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0xf7f33a93, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x8b8d627f, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0x52f1b0aa, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0x9cd0dd96, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1ddc456b, "filp_open" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0x2f3f96ee, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x8625f21b, "config_group_init" },
	{ 0x24674ecb, "config_group_find_item" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x725ccf43, "bio_add_zone_append_page" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x49956cf5, "bio_add_pc_page" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc87aabf9, "pci_dev_put" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x43205dfc, "t10_pi_type1_crc" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb7ed831f, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x983e0c2b, "nvme_command_effects" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x1145c52, "__module_get" },
	{ 0xad5dd8d1, "pci_p2pmem_free_sgl" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0x88391b98, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x3b4f593f, "nvme_keyring_id" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4fa88f75, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf1fbfb2, "nvme_passthru_end" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0xf1ee9e44, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x1953c958, "mempool_create" },
	{ 0x6800994e, "crypto_alloc_kpp" },
	{ 0xb5d98e36, "vfs_fallocate" },
	{ 0xaf95a9b4, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xac761154, "put_device" },
	{ 0x2990b6a9, "bdev_nr_zones" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xa836e54c, "blk_mq_free_request" },
	{ 0x9f385d1e, "blkdev_put" },
	{ 0xaf5a62ab, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0xdbd2aff4, "submit_bio" },
	{ 0xf9b56dad, "module_put" },
	{ 0x68e14b9d, "pci_p2pdma_distance_many" },
	{ 0x6fbeb3f4, "nvme_auth_gen_pubkey" },
	{ 0xee8fcf7, "t10_pi_type3_crc" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xe653bd32, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x3e93f7e8, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x8428b753, "bio_endio" },
	{ 0xd35d1aa1, "sg_miter_next" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0xd871a465, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xc0f4284f, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6b44dc94, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0xd779bda1, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x528e5263, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x1fdf4ef5, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0x7c268d7, "blkdev_get_by_path" },
	{ 0x2e271bf4, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1d8f5bcf, "bio_chain" },
	{ 0xb513aba6, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xfb86e84c, "pci_p2pdma_enable_store" },
	{ 0x39f03015, "pci_p2pmem_alloc_sgl" },
	{ 0x3da80780, "bio_add_page" },
	{ 0xeb7fb589, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbb2406e1, "nvme_find_get_ns" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf35a3ee0, "bio_integrity_alloc" },
	{ 0x31335b6d, "sg_miter_start" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xbb73972f, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xf3d401ef, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0xd8a8033f, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x67a9a6d7, "nvme_passthru_start" },
	{ 0xb50d9590, "pci_p2pdma_enable_show" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x1d7dfd1a, "crypto_shash_final" },
	{ 0x83a4df48, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1d35c4c8, "filp_close" },
	{ 0xea746fa7, "pci_dev_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x62a0e546, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x22c417d7, "nvme_ctrl_from_file" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x3b74014e, "nvme_init_request" },
	{ 0x98cf60b3, "strlen" },
	{ 0x94cf8cab, "nvme_execute_rq" },
	{ 0xb4d7f037, "key_lookup" },
	{ 0xcf2850c7, "nvme_put_ns" },
	{ 0x1969fca6, "pci_p2pmem_find_many" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x6b7f47, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbd43f6da, "nvme_auth_gen_privkey" },
	{ 0x6c8ca113, "bio_alloc_bioset" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xdb8f82d1, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x44913061, "nvme_get_features" },
	{ 0x7c24c1f1, "submit_bio_wait" },
	{ 0x64e6d448, "blkdev_report_zones" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x2af4dfd1, "__blkdev_issue_discard" },
	{ 0x2c4978af, "fs_bio_set" },
	{ 0xf1253459, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth,nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "4120428566E03AB06ABEB9C");

MODULE_INFO(suserelease, "SLE15-SP6");
