#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vfio_pci_core_enable, 0x5e18eb6d, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x9c101c30, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x2a13991f, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0xcb20f088, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0xf0c71c35, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x11aaf6cb, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x01b15412, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x0bf6dc9f, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x056b6ffd, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x569d632c, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x8a4f922e, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x482542cf, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0xc4014ba3, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x6eee63f4, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x46492437, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x4cb351c2, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0xda947719, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x25167fd3, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xc497e710, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5ff7061, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x13110126, "request_resource" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x6a12eda0, "pci_read_vpd" },
	{ 0x730d95fe, "bus_unregister_notifier" },
	{ 0xfb1b0bae, "pci_request_selected_regions" },
	{ 0x3f184a51, "pci_release_selected_regions" },
	{ 0xfdad78f6, "pci_user_write_config_byte" },
	{ 0xe77e2dee, "pci_enable_device" },
	{ 0x33b72054, "pci_bus_max_busnr" },
	{ 0x5960d47d, "pci_check_and_mask_intx" },
	{ 0xefbea1a6, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xda9df56f, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0x60f137bc, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xc87aabf9, "pci_dev_put" },
	{ 0xae26ebc8, "iommu_group_get" },
	{ 0x7295c4f6, "vfio_virqfd_disable" },
	{ 0x77fa3bd3, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xd7fbdd4f, "fget" },
	{ 0xd25360a, "pci_num_vf" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb63b8153, "pci_user_read_config_dword" },
	{ 0x3a8ba680, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x28ab2d46, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc4c8ec1, "pci_probe_reset_bus" },
	{ 0xbebb92d9, "pci_probe_reset_slot" },
	{ 0x46a2a996, "zap_vma_ptes" },
	{ 0xb89fbb0e, "pci_set_power_state" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x1ba6509b, "pci_irq_vector" },
	{ 0xb786bf75, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0xafa5b364, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x66f7c8d6, "pci_read_config_dword" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x514f978b, "pci_intx" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7234bdb, "pci_user_write_config_word" },
	{ 0x3b2aca79, "bus_register_notifier" },
	{ 0xe3d74559, "_dev_info" },
	{ 0x469298f3, "vfio_file_is_group" },
	{ 0xb91c7018, "pci_msix_can_alloc_dyn" },
	{ 0xb813047, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa8fb8ef9, "pci_clear_master" },
	{ 0xdbfa42da, "__pci_reset_function_locked" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xd871a465, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x263bc6fc, "pci_write_vpd" },
	{ 0x2f7fb464, "vfio_virqfd_enable" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8f793900, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x8025d970, "vfio_unregister_group_dev" },
	{ 0x6d0c865e, "pci_map_rom" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe4e2bd8e, "pci_store_saved_state" },
	{ 0x13640660, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2bbdab98, "pci_iounmap" },
	{ 0xa79fa33d, "pci_restore_state" },
	{ 0xdcb764ad, "memset" },
	{ 0x11ee1077, "_dev_warn" },
	{ 0x3c6f40d0, "pcie_get_mps" },
	{ 0x1634f186, "pci_dev_trylock" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0xa1c04b12, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xed7049c2, "__mmap_lock_do_trace_start_locking" },
	{ 0x83e86614, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0xb82e7805, "_dev_notice" },
	{ 0x571b546f, "pm_runtime_forbid" },
	{ 0xdc4be59b, "pm_runtime_allow" },
	{ 0xec3e682b, "pci_reset_bus" },
	{ 0x6d2ca249, "mmput" },
	{ 0x974a3f2d, "__pm_runtime_resume" },
	{ 0xfcc0430b, "vfio_register_group_dev" },
	{ 0xf6da5c58, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1573093b, "pci_user_read_config_byte" },
	{ 0x26eacd89, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0xb1b5c6a, "pci_get_class" },
	{ 0xafb465ee, "pci_user_write_config_dword" },
	{ 0xc34b58ab, "pcie_capability_read_dword" },
	{ 0xb5d41548, "__mmap_lock_do_trace_released" },
	{ 0x27186fd0, "pci_load_and_free_saved_state" },
	{ 0x60be34f9, "pci_disable_sriov" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0xb76a6560, "pci_disable_device" },
	{ 0x8153cdd6, "pci_match_id" },
	{ 0x2210d771, "pci_check_and_unmask_intx" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xbf487292, "pcie_set_readrq" },
	{ 0xd3880d33, "pci_walk_bus" },
	{ 0x40d2678a, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xc8104df3, "pci_unmap_rom" },
	{ 0xbf7ac486, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xcd3855e4, "pci_dev_unlock" },
	{ 0xf593ede5, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8e2108c8, "pci_free_irq_vectors" },
	{ 0x722450c2, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0x4a906030, "__pm_runtime_idle" },
	{ 0x5af733a2, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x337b4db7, "pci_bus_type" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "vfio");


MODULE_INFO(srcversion, "05C55AD130A379900DE5064");

MODULE_INFO(suserelease, "SLE15-SP6");
