#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4300dd09, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf0bdd751, "generic_fillattr" },
	{ 0xb014033, "setattr_prepare" },
	{ 0x62c1d0de, "clear_nlink" },
	{ 0xe9c60db8, "vfs_fileattr_get" },
	{ 0x72b38212, "flush_dcache_page" },
	{ 0xc758b44e, "d_instantiate" },
	{ 0x30b53491, "misc_deregister" },
	{ 0xf7d592a, "clear_inode" },
	{ 0x591e6e49, "notify_change" },
	{ 0x2efe5cd2, "param_ops_uint" },
	{ 0x51eb6ed3, "grab_cache_page_write_begin" },
	{ 0x452ea7fe, "vfs_getattr" },
	{ 0xae539393, "vfs_rename" },
	{ 0xffe731b6, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xa9f9e540, "init_special_inode" },
	{ 0x5d7808a5, "unregister_filesystem" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc4ac7f50, "iterate_dir" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe30bbc3e, "d_make_root" },
	{ 0xccbe0d07, "d_splice_alias" },
	{ 0x78ab76f, "param_ops_long" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x88c40121, "read_cache_page" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xc40efe1d, "iput" },
	{ 0x3053bcd8, "__vfs_getxattr" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa117ce95, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd090ba4, "crypto_skcipher_setkey" },
	{ 0xe7c42a85, "fsstack_copy_attr_all" },
	{ 0xf51ae896, "register_filesystem" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0x2da276ff, "vfs_unlink" },
	{ 0xd6c3a970, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1030eecd, "wake_up_process" },
	{ 0xf8168250, "vfs_mkdir" },
	{ 0xf1ee9e44, "crypto_destroy_tfm" },
	{ 0x87550c81, "__vfs_removexattr" },
	{ 0xb6d088a8, "inode_newsize_ok" },
	{ 0x3a32b09b, "d_drop" },
	{ 0xcfb5d0c, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xd423c62b, "block_invalidate_folio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x81effb86, "crypto_skcipher_decrypt" },
	{ 0x811d18cc, "truncate_inode_pages_final" },
	{ 0xb1f6a797, "fs_kobj" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xd7242e89, "key_type_encrypted" },
	{ 0x785dca83, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xc8d32e0d, "inode_init_once" },
	{ 0x239c3929, "file_write_and_wait_range" },
	{ 0xe653bd32, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x87d0c011, "vfs_get_link" },
	{ 0xd871a465, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0xbb114f0, "generic_file_read_iter" },
	{ 0xe617e4c9, "unlock_page" },
	{ 0xaff0e69d, "noop_llseek" },
	{ 0xe02064ed, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6fc81f26, "lock_rename" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x8d37f3a5, "__vfs_setxattr_locked" },
	{ 0x5a921311, "strncmp" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9166fada, "strncpy" },
	{ 0x63cd3636, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9e8edd80, "__vfs_setxattr" },
	{ 0x168c768d, "sget" },
	{ 0xa828adb1, "sysfs_create_group" },
	{ 0x7cf60318, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xccf0e131, "block_dirty_folio" },
	{ 0x984866db, "from_kuid" },
	{ 0xdcb764ad, "memset" },
	{ 0x3b2e3eca, "kern_path" },
	{ 0xe54a2d18, "vfs_set_acl" },
	{ 0xe43bc1f1, "misc_register" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x44b99e0b, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc98f9fe1, "key_validate" },
	{ 0xa464604c, "unlock_rename" },
	{ 0xa91ddbb0, "vfs_rmdir" },
	{ 0x63a531df, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xaf0cb540, "truncate_setsize" },
	{ 0xe534973a, "kthread_create_on_node" },
	{ 0xe5a886f9, "sysfs_remove_group" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xbe0e22a6, "vfs_symlink" },
	{ 0x8cbc9f12, "super_setup_bdi" },
	{ 0xc7842c84, "igrab" },
	{ 0x6789bd45, "generic_read_dir" },
	{ 0xb6c99b76, "d_instantiate_new" },
	{ 0x7e3ea507, "d_add" },
	{ 0x83a4df48, "vfs_fsync" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x8c8f615, "vfs_mknod" },
	{ 0x5f4f948d, "init_user_ns" },
	{ 0x11644cb3, "dentry_open" },
	{ 0xb27c192c, "request_key_tag" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44e9a829, "match_token" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0x28a71a93, "vfs_fileattr_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40f30a47, "seq_printf" },
	{ 0x4eb6da27, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x4ec001e5, "deactivate_locked_super" },
	{ 0x4b0c607f, "touch_atime" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8522bebc, "lookup_one_len_unlocked" },
	{ 0x16ca906c, "vfs_llseek" },
	{ 0x9c94e069, "__folio_lock" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfb3754cf, "filemap_splice_read" },
	{ 0x712a0921, "vfs_link" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xb7d2fcaa, "key_type_user" },
	{ 0x151b4dd4, "kill_anon_super" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x5a8a3405, "iget5_locked" },
	{ 0x7f016c07, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x237d9f5c, "bmap" },
	{ 0x98cf60b3, "strlen" },
	{ 0x8690b2ef, "param_ops_int" },
	{ 0x8a84a12d, "inode_permission" },
	{ 0xcd562fd8, "mntget" },
	{ 0x1bd84929, "kmem_cache_alloc_lru" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x6b7f47, "crypto_alloc_shash" },
	{ 0xaa628a64, "__mark_inode_dirty" },
	{ 0xb052203e, "generic_file_llseek" },
	{ 0x4adb363a, "make_bad_inode" },
	{ 0xb7acd3cd, "vfs_get_acl" },
	{ 0xc375250f, "set_anon_super" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x8d1df0d7, "fsstack_copy_inode_size" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x5e002032, "iget_failed" },
	{ 0x98333556, "kernel_write" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x2013bf, "kobject_put" },
	{ 0x18c419c0, "vfs_create" },
	{ 0x2156ae15, "crypto_alloc_skcipher" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4AA075A0BDC29B59995AE65");

MODULE_INFO(suserelease, "SLE15-SP6");
