#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb276ce05, "folio_test_hugetlb" },
	{ 0xf318d7cf, "iomap_readahead" },
	{ 0xf0bdd751, "generic_fillattr" },
	{ 0xc56c3609, "xz_dec_microlzma_reset" },
	{ 0x72b38212, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc008f706, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0x2efe5cd2, "param_ops_uint" },
	{ 0x18794d06, "generic_fh_to_dentry" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x15bed7a5, "LZ4_decompress_safe_partial" },
	{ 0xc4b0687, "fs_param_is_string" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xdf5f952c, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0xc7c1107a, "LZ4_decompress_safe" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xa9f9e540, "init_special_inode" },
	{ 0x695cb128, "fs_dax_get_by_bdev" },
	{ 0x5d7808a5, "unregister_filesystem" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf8eeceb3, "nop_posix_acl_access" },
	{ 0xd947ec51, "nop_posix_acl_default" },
	{ 0xe30bbc3e, "d_make_root" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xb99462ca, "sb_set_blocksize" },
	{ 0xb23a00b6, "simple_fill_super" },
	{ 0x13fbf7fd, "read_cache_folio" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x6ca74c64, "register_shrinker" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xccbe0d07, "d_splice_alias" },
	{ 0x6dba9051, "xz_dec_microlzma_end" },
	{ 0x4fb5da55, "fs_put_dax" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb8440cf9, "page_get_link" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7d9d5e1, "dax_iomap_rw" },
	{ 0xc40efe1d, "iput" },
	{ 0xf2bb031c, "kset_unregister" },
	{ 0x3ae699dd, "fs_param_is_enum" },
	{ 0xd4f9213f, "generic_file_readonly_mmap" },
	{ 0x86eb54bb, "logfc" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x26bf4a82, "dax_iomap_fault" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf51ae896, "register_filesystem" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd55e133d, "simple_get_link" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfc108c9b, "get_tree_nodev" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0xc01f719a, "iomap_invalidate_folio" },
	{ 0x5f9a94c1, "iomap_dio_rw" },
	{ 0x2fea0f50, "kill_block_super" },
	{ 0xcfb5d0c, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x456874bf, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xab385d4b, "make_kuid" },
	{ 0xb1f6a797, "fs_kobj" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x4fe512ab, "unregister_shrinker" },
	{ 0x9f385d1e, "blkdev_put" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdbd2aff4, "submit_bio" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc8d32e0d, "inode_init_once" },
	{ 0x3e93f7e8, "bio_put" },
	{ 0x7fa2c4d9, "readahead_expand" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2280de9b, "inode_nohighmem" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xec9abc66, "copy_highpage" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xe617e4c9, "unlock_page" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xd7c98a1a, "thp_get_unmapped_area" },
	{ 0x3de767d0, "generic_ro_fops" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe02064ed, "set_nlink" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0x356412c2, "vm_map_ram" },
	{ 0x7c268d7, "blkdev_get_by_path" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xb9ba68d6, "vmap" },
	{ 0x1ad7f081, "kobject_init_and_add" },
	{ 0x3da80780, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3122cd2a, "iov_iter_alignment" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb320a62a, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2d4ce012, "iomap_bmap" },
	{ 0xbb73972f, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8887f4d0, "iomap_fiemap" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7098248, "xz_dec_microlzma_alloc" },
	{ 0x15bd7435, "psi_memstall_leave" },
	{ 0x47c729b8, "make_kgid" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3f4932e8, "bpf_trace_run3" },
	{ 0x87ebb002, "iomap_read_folio" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x488a0692, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6789bd45, "generic_read_dir" },
	{ 0x7faf38ce, "kobject_del" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2fb10ba8, "add_to_page_cache_lru" },
	{ 0x5f4f948d, "init_user_ns" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0x9dc99190, "kobject_set_name" },
	{ 0xfe5150d, "get_tree_bdev" },
	{ 0x929e95cf, "psi_memstall_enter" },
	{ 0x7730020f, "filemap_read" },
	{ 0x9c94e069, "__folio_lock" },
	{ 0x5f49435d, "pagecache_get_page" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0xb3f0de55, "xz_dec_microlzma_run" },
	{ 0xc22a3091, "vm_unmap_aliases" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xb81f353f, "generic_fh_to_parent" },
	{ 0x5dc461d2, "__fs_parse" },
	{ 0xfb3754cf, "filemap_splice_read" },
	{ 0x151b4dd4, "kill_anon_super" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x5a8a3405, "iget5_locked" },
	{ 0xe6d4c591, "kset_register" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x3fd2571, "vm_unmap_ram" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1bd84929, "kmem_cache_alloc_lru" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb052203e, "generic_file_llseek" },
	{ 0xec7d7039, "iomap_release_folio" },
	{ 0x6c8ca113, "bio_alloc_bioset" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x5e002032, "iget_failed" },
	{ 0x2c4978af, "fs_bio_set" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x2013bf, "kobject_put" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "lz4_decompress,libcrc32c");


MODULE_INFO(srcversion, "3F589332DF06B6B285CEB4F");

MODULE_INFO(suserelease, "SLE15-SP6");
