#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fscache_addremove_sem, 0x557a775f, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x8c2d6da7, "");
SYMBOL_CRC(fscache_acquire_cache, 0x73c8f216, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x8104bddb, "");
SYMBOL_CRC(fscache_add_cache, 0x1192ce44, "");
SYMBOL_CRC(fscache_io_error, 0x90193802, "");
SYMBOL_CRC(fscache_withdraw_cache, 0xdaba5d16, "");
SYMBOL_CRC(fscache_end_cookie_access, 0xe339ed74, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x3f42b064, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x3088808d, "");
SYMBOL_CRC(fscache_caching_failed, 0x02f8b715, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xc27f139a, "");
SYMBOL_CRC(__fscache_use_cookie, 0x7299547f, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x3ebe0d86, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x291c14e4, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x42bcea44, "");
SYMBOL_CRC(fscache_put_cookie, 0x09a6489a, "");
SYMBOL_CRC(fscache_get_cookie, 0xf6f50b00, "");
SYMBOL_CRC(__fscache_invalidate, 0x456c49a6, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x45ef7ae5, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0xcb8e4c9d, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x12c90330, "");
SYMBOL_CRC(fscache_dirty_folio, 0xc2e34d13, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0xead8e421, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x05df1175, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x82480f99, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x39674879, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x4bd084ba, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x6c5e41e7, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x6e416521, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x1a25cfa0, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x306805d3, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x3d1243c5, "");
SYMBOL_CRC(fscache_end_volume_access, 0x716aab99, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x5415c2ad, "");
SYMBOL_CRC(fscache_put_volume, 0x4344f29c, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x69f4d510, "");
SYMBOL_CRC(fscache_withdraw_volume, 0xc396908a, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc008f706, "bpf_trace_run4" },
	{ 0x2efe5cd2, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b6a933f, "netfs_stats_show" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x6691d9, "remove_proc_subtree" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x49f6aeae, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xbb73972f, "bpf_trace_run1" },
	{ 0xa8215119, "proc_mkdir" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x334ef26a, "folio_end_private_2" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3f4932e8, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xeadcce1e, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40f30a47, "seq_printf" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xa12a6c40, "filemap_dirty_folio" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xed3bcd6a, "iov_iter_xarray" },
	{ 0x32e22021, "proc_create_single_data" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xcf7d47bd, "proc_create_seq_private" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "EF2E4AEB72F38D1890B53C9");

MODULE_INFO(suserelease, "SLE15-SP6");
