#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xbae5623b, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x810055d0, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x351584c6, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xd65461cc, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xc6cedfc8, "");
SYMBOL_CRC(fuse_abort_conn, 0xc8cf25dc, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0xafe2de7b, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x1e9718ba, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xe8f66142, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x7b57d0fa, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x009aba9d, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0xa53fccf4, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x0059acf3, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x62c85cda, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xd0bd618e, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xf96a027f, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x010b11f3, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0xa5809d0d, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x17b87a98, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xb6fb4da1, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xbc516f7d, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0xb3213bef, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x4a391ac1, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xd807dcc2, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x4976d17e, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xac34811f, "");
SYMBOL_CRC(fuse_do_ioctl, 0x7c87710c, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x8aa9db62, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x19782610, "super_setup_bdi_name" },
	{ 0x9e8678c5, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x1802b69c, "truncate_inode_pages" },
	{ 0x15dda23a, "generic_copy_file_range" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc1c3a030, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0x69566a5f, "pipe_lock" },
	{ 0xf0bdd751, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x6632ca7, "vfs_fsync_range" },
	{ 0xb014033, "setattr_prepare" },
	{ 0x62c1d0de, "clear_nlink" },
	{ 0xca8e49dc, "file_check_and_advance_wb_err" },
	{ 0x862e6d89, "d_alloc_parallel" },
	{ 0x72b38212, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc758b44e, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x30b53491, "misc_deregister" },
	{ 0x4b33ea71, "make_vfsgid" },
	{ 0xf7d592a, "clear_inode" },
	{ 0x2d82190c, "inode_to_bdi" },
	{ 0xc5a8ca7, "find_pid_ns" },
	{ 0x51eb6ed3, "grab_cache_page_write_begin" },
	{ 0x8f65f74a, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf9ed169e, "pipe_unlock" },
	{ 0xc4b0687, "fs_param_is_string" },
	{ 0x98ff2016, "folio_unlock" },
	{ 0xdf5f952c, "new_inode" },
	{ 0x6f770994, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5373ab7, "dump_page" },
	{ 0x4dc1fea2, "forget_all_cached_acls" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xa9f9e540, "init_special_inode" },
	{ 0x5d7808a5, "unregister_filesystem" },
	{ 0x26af995f, "task_active_pid_ns" },
	{ 0xabe1dc2a, "iov_iter_single_seg_count" },
	{ 0xe5228180, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xbb815fd2, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96b7710c, "d_alloc_name" },
	{ 0xc6352ab7, "replace_page_cache_folio" },
	{ 0x4fdc8acd, "inode_query_iversion" },
	{ 0x3bf81df4, "iov_iter_advance" },
	{ 0x8aa0b7d2, "kill_fasync" },
	{ 0xe30bbc3e, "d_make_root" },
	{ 0xb99462ca, "sb_set_blocksize" },
	{ 0xd7fbdd4f, "fget" },
	{ 0xb23a00b6, "simple_fill_super" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x448d22c, "sync_filesystem" },
	{ 0x6b1a080b, "noop_dirty_folio" },
	{ 0xb5b663a1, "sget_fc" },
	{ 0x7d2e7d42, "param_set_uint" },
	{ 0xccbe0d07, "d_splice_alias" },
	{ 0x9fd082cb, "iov_iter_get_pages2" },
	{ 0xb43ae197, "current_time" },
	{ 0x174102d4, "direct_write_fallback" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb8440cf9, "page_get_link" },
	{ 0x33b34354, "generic_permission" },
	{ 0x1623393a, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xdd468d1a, "invalidate_inode_pages2_range" },
	{ 0xe42f1895, "posix_lock_file" },
	{ 0xf0f554f8, "finish_open" },
	{ 0xd7d9d5e1, "dax_iomap_rw" },
	{ 0xc40efe1d, "iput" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x86eb54bb, "logfc" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0x5eb00f51, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x58cf8fb4, "init_pid_ns" },
	{ 0x26bf4a82, "dax_iomap_fault" },
	{ 0xdef16bf9, "iov_iter_init" },
	{ 0x84359589, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xd1742381, "sysfs_create_mount_point" },
	{ 0xa117ce95, "generic_file_write_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf51ae896, "register_filesystem" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0xd22d923a, "folio_add_lru" },
	{ 0x10238ead, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x61cfe5e7, "sync_inode_metadata" },
	{ 0x42b9cc5e, "simple_empty" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x576df803, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x5d1d639, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0xfc108c9b, "get_tree_nodev" },
	{ 0x8c1424dc, "d_mark_dontcache" },
	{ 0x31f859a3, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xdf8a6df4, "fs_param_is_u32" },
	{ 0xb6d088a8, "inode_newsize_ok" },
	{ 0x3a32b09b, "d_drop" },
	{ 0x2fea0f50, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xcfb5d0c, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0x3ad1e3fe, "bdi_put" },
	{ 0x456874bf, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x40a74648, "param_get_uint" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xab385d4b, "make_kuid" },
	{ 0x811d18cc, "truncate_inode_pages_final" },
	{ 0xb1f6a797, "fs_kobj" },
	{ 0x74189be, "__filemap_set_wb_err" },
	{ 0xbf59f8aa, "simple_dir_operations" },
	{ 0x785dca83, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x54f5f26b, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xa9027b53, "setattr_should_drop_suidgid" },
	{ 0x1539190a, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0xe83e10e7, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x9a337213, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc8d32e0d, "inode_init_once" },
	{ 0x239c3929, "file_write_and_wait_range" },
	{ 0x9df6a2da, "compat_ptr_ioctl" },
	{ 0xaea260ff, "nosteal_pipe_buf_ops" },
	{ 0xd41fd467, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2280de9b, "inode_nohighmem" },
	{ 0xec9abc66, "copy_highpage" },
	{ 0xa8a9e88c, "release_pages" },
	{ 0xd9a3c17c, "generic_file_direct_write" },
	{ 0xd871a465, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xbb114f0, "generic_file_read_iter" },
	{ 0x77457e02, "inode_maybe_inc_iversion" },
	{ 0xe617e4c9, "unlock_page" },
	{ 0xfdfc4d65, "inc_node_page_state" },
	{ 0xd7c98a1a, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0xda341498, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd5ac5153, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xb67dfc0, "dec_node_page_state" },
	{ 0xe75a5cdf, "write_cache_pages" },
	{ 0xe5357b8, "file_update_time" },
	{ 0xe02064ed, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xce1f007f, "from_kgid" },
	{ 0x65258857, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe5a87c2d, "file_remove_privs" },
	{ 0x6c73d4e8, "write_inode_now" },
	{ 0x1acec94d, "dax_writeback_mapping_range" },
	{ 0xb320a62a, "d_obtain_alias" },
	{ 0x7e1d8603, "file_modified" },
	{ 0x8ae1658f, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbbab6cda, "finish_no_open" },
	{ 0x9592d12, "__folio_start_writeback" },
	{ 0x2973aea0, "kill_litter_super" },
	{ 0x63c556b6, "folio_end_writeback" },
	{ 0x984866db, "from_kuid" },
	{ 0xe9873d70, "current_in_userns" },
	{ 0xe7481483, "fc_mount" },
	{ 0xdcb764ad, "memset" },
	{ 0x7a880ad6, "sysfs_remove_mount_point" },
	{ 0xe43bc1f1, "misc_register" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x47c729b8, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x4a814ad4, "d_delete" },
	{ 0xfe902084, "from_kgid_munged" },
	{ 0x84f21ad5, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x63a531df, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb5d12ea, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x89a7a34d, "nonseekable_open" },
	{ 0x58447690, "dax_finish_sync_fault" },
	{ 0x9f944a43, "set_page_dirty" },
	{ 0xa276099f, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x35cbff82, "redirty_page_for_writepage" },
	{ 0x488a0692, "noop_direct_IO" },
	{ 0xc7842c84, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6789bd45, "generic_read_dir" },
	{ 0x7e3ea507, "d_add" },
	{ 0x4f4cb098, "set_page_writeback" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5a8cbaf2, "param_ops_bool" },
	{ 0x5f4f948d, "init_user_ns" },
	{ 0xdd550c, "d_find_alias" },
	{ 0xc0376cd0, "invalidate_inode_pages2" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0xf8a8ace4, "inc_nlink" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfe5150d, "get_tree_bdev" },
	{ 0x61a40f3c, "set_anon_super_fc" },
	{ 0x40f30a47, "seq_printf" },
	{ 0x4eb6da27, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x10211a35, "generic_delete_inode" },
	{ 0x4ec001e5, "deactivate_locked_super" },
	{ 0x4b0c607f, "touch_atime" },
	{ 0x67d70a9b, "__percpu_down_read" },
	{ 0x657cf196, "__d_lookup_unhash_wake" },
	{ 0x9d51066c, "set_page_dirty_lock" },
	{ 0x39943880, "pid_nr_ns" },
	{ 0x1132ed8a, "generic_file_open" },
	{ 0x3d68f8b2, "truncate_inode_pages_range" },
	{ 0xa830e56e, "__put_user_ns" },
	{ 0x9c94e069, "__folio_lock" },
	{ 0xa12a6c40, "filemap_dirty_folio" },
	{ 0x5f49435d, "pagecache_get_page" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0xcaa363f4, "stream_open" },
	{ 0x16560f69, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb8273d0b, "__wake_up_sync" },
	{ 0xbb4bb20d, "add_to_pipe" },
	{ 0x5dc461d2, "__fs_parse" },
	{ 0x183960a4, "dax_layout_busy_page_range" },
	{ 0xfb3754cf, "filemap_splice_read" },
	{ 0xfbd1886e, "posix_acl_to_xattr" },
	{ 0xb31d6a4a, "dget_parent" },
	{ 0x151b4dd4, "kill_anon_super" },
	{ 0x64563cc6, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x5a8a3405, "iget5_locked" },
	{ 0x219cbcee, "security_dentry_init_security" },
	{ 0x7f016c07, "filemap_write_and_wait_range" },
	{ 0x559d1a8e, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x1f9a7b20, "generic_write_checks" },
	{ 0xa57e0fd4, "iov_iter_revert" },
	{ 0x65753f6d, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xcd562fd8, "mntget" },
	{ 0x1bd84929, "kmem_cache_alloc_lru" },
	{ 0x1da1f2b3, "filemap_fault" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x678d5902, "d_invalidate" },
	{ 0xaa628a64, "__mark_inode_dirty" },
	{ 0xb052203e, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0xce888a42, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xa48564d0, "drop_nlink" },
	{ 0xe93d8c11, "fault_in_iov_iter_readable" },
	{ 0x3e821f3a, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xfbd02e83, "bdi_set_max_ratio" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x2013bf, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "70DCB6A1292B37026556F4F");

MODULE_INFO(suserelease, "SLE15-SP6");
