#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nfs3_set_ds_client, 0x50e128b4, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf361192d, "nfs_clone_server" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7cee1222, "nlmclnt_proc" },
	{ 0x6362d3e7, "nfs_writeback_update_inode" },
	{ 0xd9feeba4, "nfs_alloc_client" },
	{ 0xd86d962f, "nfs_dentry_operations" },
	{ 0x30357258, "xdr_write_pages" },
	{ 0x16560fd, "nfs_access_zap_cache" },
	{ 0xe99f95c0, "xdr_inline_decode" },
	{ 0x4dc1fea2, "forget_all_cached_acls" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x45e88731, "nfs_submount" },
	{ 0x59923eb3, "__tracepoint_nfs_xdr_status" },
	{ 0xe10b4a33, "nfs_mknod" },
	{ 0xf30d914a, "nfs_create_server" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8d15567d, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0x304c9076, "nfs_post_op_update_inode" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xde9c5f1d, "xdr_read_pages" },
	{ 0x8a18184e, "nfsacl_decode" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0x36fd9987, "nfs_create" },
	{ 0xa157ff6f, "nfs_mkdir" },
	{ 0x35e7608e, "nfs_revalidate_inode" },
	{ 0x5d86a48f, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xcc27bad5, "nfs_try_get_tree" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab385d4b, "make_kuid" },
	{ 0xd1d22872, "nfs_get_client" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0x7c7b88e9, "nfs_file_operations" },
	{ 0x79748b30, "get_inode_acl" },
	{ 0xc01a3199, "nfs_put_lock_context" },
	{ 0xc3acccec, "nfs_rename" },
	{ 0x92f73045, "nfs_lookup" },
	{ 0x5f7fa36f, "__traceiter_nfs_xdr_bad_filehandle" },
	{ 0x5e7d7023, "nfsacl_encode" },
	{ 0x2aa5da88, "posix_acl_create" },
	{ 0xd63cebee, "get_nfs_open_context" },
	{ 0x2e6e4a2, "nfs_invalidate_atime" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0x861f647e, "nfs_getattr" },
	{ 0x3b60b928, "nfs_zap_acl_cache" },
	{ 0xe70507df, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0xa9d35ee6, "rpc_bind_new_program" },
	{ 0x57f8165c, "register_nfs_version" },
	{ 0xcb7fe98f, "nfs_atomic_open_v23" },
	{ 0x8495bf1e, "rpc_call_start" },
	{ 0x92789c6b, "rpc_call_sync" },
	{ 0x85c189c5, "rpc_prepare_reply_pages" },
	{ 0x383eba54, "nfs_fs_type" },
	{ 0x6fb9c427, "nfs_setattr" },
	{ 0x719aa3c2, "xdr_terminate_string" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x188d1a0c, "rpc_delay" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x47c729b8, "make_kgid" },
	{ 0xfe902084, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xc42af93e, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc5466557, "nfs_rmdir" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x8f9bbdb1, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb9984aca, "nfs_async_iocounter_wait" },
	{ 0xc0d3e992, "nfs_setattr_update_inode" },
	{ 0xd330f244, "nfs_sops" },
	{ 0x5f4f948d, "init_user_ns" },
	{ 0x775ad846, "rpc_restart_call" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0x3719b3e8, "nfs_link" },
	{ 0x4eb6da27, "dput" },
	{ 0x1f5e9fe, "put_nfs_open_context" },
	{ 0xc910f6a0, "nfs_permission" },
	{ 0x29a6dbb8, "nfs_add_or_obtain" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x64563cc6, "from_kuid_munged" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd98d1221, "nfs_free_client" },
	{ 0xd1641e49, "nfs_close_context" },
	{ 0x4ae2e6f8, "nfs_refresh_inode" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x93f1bef8, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xc8ce0a72, "__traceiter_nfs_xdr_status" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x684df4c4, "nfs_symlink" },
	{ 0xc2da2d75, "nfs_unlink" },
	{ 0x1d32d042, "forget_cached_acl" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "nfs,lockd,sunrpc,nfs_acl");


MODULE_INFO(srcversion, "2C775A309C72E0A1EF56FEC");

MODULE_INFO(suserelease, "SLE15-SP6");
