#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x700f5a62, "iget_locked" },
	{ 0x72b38212, "flush_dcache_page" },
	{ 0x3f34644d, "zstd_dstream_workspace_bound" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc4b0687, "fs_param_is_string" },
	{ 0xdf5f952c, "new_inode" },
	{ 0xc7c1107a, "LZ4_decompress_safe" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xa9f9e540, "init_special_inode" },
	{ 0x5d7808a5, "unregister_filesystem" },
	{ 0x81db6ebb, "xz_dec_reset" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4df8fbc, "lzo1x_decompress_safe" },
	{ 0xe30bbc3e, "d_make_root" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x448d22c, "sync_filesystem" },
	{ 0xccbe0d07, "d_splice_alias" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb8440cf9, "page_get_link" },
	{ 0x37a0cba, "kfree" },
	{ 0xc40efe1d, "iput" },
	{ 0x3ae699dd, "fs_param_is_enum" },
	{ 0x86eb54bb, "logfc" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0x52d717da, "xz_dec_init" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xf51ae896, "register_filesystem" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2fea0f50, "kill_block_super" },
	{ 0xcfb5d0c, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xab385d4b, "make_kuid" },
	{ 0x6e5b8651, "xz_dec_run" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc8d32e0d, "inode_init_once" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0x7fa2c4d9, "readahead_expand" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2280de9b, "inode_nohighmem" },
	{ 0xe617e4c9, "unlock_page" },
	{ 0x3de767d0, "generic_ro_fops" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65dccf13, "xz_dec_end" },
	{ 0xe02064ed, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x19196dbd, "bio_kmalloc" },
	{ 0x9166fada, "strncpy" },
	{ 0xf1e046cc, "panic" },
	{ 0x3da80780, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb320a62a, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xf3d401ef, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x8ab0229d, "__insert_inode_hash" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x47c729b8, "make_kgid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd64cebe5, "bio_free_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x6789bd45, "generic_read_dir" },
	{ 0xf290fcef, "bio_uninit" },
	{ 0xdfc12ef1, "zstd_decompress_stream" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfe5150d, "get_tree_bdev" },
	{ 0x40f30a47, "seq_printf" },
	{ 0x5f49435d, "pagecache_get_page" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x5dc461d2, "__fs_parse" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x3cbb940b, "zstd_init_dstream" },
	{ 0x98cf60b3, "strlen" },
	{ 0x1bd84929, "kmem_cache_alloc_lru" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb052203e, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4adb363a, "make_bad_inode" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0x7c24c1f1, "submit_bio_wait" },
	{ 0x5a6de504, "sb_min_blocksize" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x608d0267, "zstd_get_error_code" },
	{ 0x5e002032, "iget_failed" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "lz4_decompress");


MODULE_INFO(srcversion, "90F1A63CC78436452FECC33");

MODULE_INFO(suserelease, "SLE15-SP6");
