#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(v9fs_register_trans, 0x6cc4d694, "");
SYMBOL_CRC(v9fs_unregister_trans, 0x85e6e073, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0x0b2dcbf4, "");
SYMBOL_CRC(v9fs_get_default_trans, 0xd010ba26, "");
SYMBOL_CRC(p9_is_proto_dotl, 0x9be421b4, "");
SYMBOL_CRC(p9_is_proto_dotu, 0x5e5a9d25, "");
SYMBOL_CRC(p9_show_client_options, 0x1a863284, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0xaca487ba, "");
SYMBOL_CRC(p9_req_put, 0x0de4194a, "");
SYMBOL_CRC(p9_client_cb, 0xa46f285a, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0x2e70f4bb, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0xa02a85a8, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0xb55ae777, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0x2b3f26c4, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0xa557707a, "");
SYMBOL_CRC(p9_client_create, 0x86d00a89, "");
SYMBOL_CRC(p9_client_destroy, 0x924c08b4, "");
SYMBOL_CRC(p9_client_disconnect, 0x0e41cc9a, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0x3382b73d, "");
SYMBOL_CRC(p9_client_attach, 0xac75a54d, "");
SYMBOL_CRC(p9_client_walk, 0xae2345db, "");
SYMBOL_CRC(p9_client_open, 0x3b491e82, "");
SYMBOL_CRC(p9_client_create_dotl, 0x83c0c9bb, "");
SYMBOL_CRC(p9_client_fcreate, 0x757dcf04, "");
SYMBOL_CRC(p9_client_symlink, 0x52c7dbf4, "");
SYMBOL_CRC(p9_client_link, 0xacbc30ca, "");
SYMBOL_CRC(p9_client_fsync, 0x6a6d5a81, "");
SYMBOL_CRC(p9_client_clunk, 0xe958cf53, "");
SYMBOL_CRC(p9_client_remove, 0x5bc25ea6, "");
SYMBOL_CRC(p9_client_unlinkat, 0x254da44e, "");
SYMBOL_CRC(p9_client_read, 0x98f0a532, "");
SYMBOL_CRC(p9_client_read_once, 0x5ca5d540, "");
SYMBOL_CRC(p9_client_write, 0xdc1de829, "");
SYMBOL_CRC(p9_client_stat, 0x0955e040, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0x73b78f24, "");
SYMBOL_CRC(p9_client_wstat, 0xf7e5b4b2, "");
SYMBOL_CRC(p9_client_setattr, 0x6817aefb, "");
SYMBOL_CRC(p9_client_statfs, 0x8e2dd05a, "");
SYMBOL_CRC(p9_client_rename, 0x6697c6d1, "");
SYMBOL_CRC(p9_client_renameat, 0x0d50d11e, "");
SYMBOL_CRC(p9_client_xattrwalk, 0x9c792ff8, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0x5dfd3682, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0x73cb53e0, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0x5f30191a, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0x7c91cade, "");
SYMBOL_CRC(p9_client_lock_dotl, 0x904e710a, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0xa2073277, "");
SYMBOL_CRC(p9_client_readlink, 0x6f4425e4, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0x41ce9823, "");
SYMBOL_CRC(p9dirent_read, 0x95bd8f96, "");
SYMBOL_CRC(p9_release_pages, 0xe4d71fed, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0xaff7f91f, "_copy_to_iter" },
	{ 0xc008f706, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab385d4b, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0xf9b56dad, "module_put" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x6debaa88, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x954f099c, "idr_preload" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xce1f007f, "from_kgid" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x1703570a, "iov_iter_kvec" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x984866db, "from_kuid" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x47c729b8, "make_kgid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3f4932e8, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x5f4f948d, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0x40f30a47, "seq_printf" },
	{ 0xb89568b0, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa57e0fd4, "iov_iter_revert" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "13F3642F798ED36213F3C0E");

MODULE_INFO(suserelease, "SLE15-SP6");
