#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xe7d986aa, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xfc7094ac, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x0fa0869a, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x8cfa5604, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x3586df4b, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x0ac4242c, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x1274640d, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xb6654b2f, "");
SYMBOL_CRC(ip_vs_conn_put, 0x095c372c, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x9fc8cb39, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x05bd9977, "");
SYMBOL_CRC(register_ip_vs_app, 0x71a18270, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xd225dd2e, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x6ddcb29d, "");
SYMBOL_CRC(ip_vs_proto_get, 0x589ab966, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x68b5ac6b, "");
SYMBOL_CRC(register_ip_vs_pe, 0xd899d314, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xb9f4cf2a, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xda83ac3b, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4b678da, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x167125d8, "nf_conntrack_find_get" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0x7deaa40f, "__ip_select_ident" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x562e2939, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x10780f1, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x2f9de88e, "skb_copy_bits" },
	{ 0x248d3a56, "xfrm_lookup" },
	{ 0xdf6b082f, "proc_dointvec_jiffies" },
	{ 0x181416d4, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe327ae9c, "housekeeping_cpumask" },
	{ 0xfd9e64bf, "consume_skb" },
	{ 0x744d1aaf, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x13718f55, "nf_register_sockopt" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe6563602, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0xf1259424, "set_user_nice" },
	{ 0x653f9a14, "genlmsg_put" },
	{ 0xdd1205a8, "udp_set_csum" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4bf78d7f, "ip6_route_me_harder" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1145c52, "__module_get" },
	{ 0x89a25d26, "ip_route_output_flow" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xd2ea639c, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4f854c06, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x6852b74e, "proc_create_net_data" },
	{ 0x4eba4ed0, "pskb_expand_head" },
	{ 0x817cc1fb, "register_pernet_subsys" },
	{ 0x1030eecd, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xfe0cc3ec, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb148ebbb, "nf_register_net_hooks" },
	{ 0xe077a687, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x9e46c439, "__alloc_skb" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0x4b2987ef, "ipv6_sock_mc_join" },
	{ 0xf9b56dad, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xaef3369a, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfdbc5cfb, "__skb_get_hash" },
	{ 0xc9f9f474, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x2507800f, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfe19dff4, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xbc1bd2b3, "nf_conntrack_alter_reply" },
	{ 0x25ce153b, "ip_route_me_harder" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe9e5f121, "skb_push" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0x243a3f25, "set_cpus_allowed_ptr" },
	{ 0x412f9620, "seq_putc" },
	{ 0x7965889, "nla_put" },
	{ 0xec2e1c8f, "proc_doulongvec_minmax" },
	{ 0x40b89355, "nf_ct_expect_alloc" },
	{ 0x8dd38a5a, "skb_ensure_writable" },
	{ 0x1703570a, "iov_iter_kvec" },
	{ 0x3ddfedde, "ip_mc_join_group" },
	{ 0xabfda986, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf8721793, "ns_capable" },
	{ 0xd735ffc0, "nf_unregister_net_hooks" },
	{ 0x20bd5145, "inet_select_addr" },
	{ 0x7be10e45, "unregister_pernet_device" },
	{ 0x2f0e6393, "lock_sock_nested" },
	{ 0x1091d602, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x7cf60318, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8d0ba3af, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb53d51ac, "unregister_pernet_subsys" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xcecca2ce, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x72c47285, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x17bc0ffd, "__pskb_pull_tail" },
	{ 0xc4be470c, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe63bfc68, "skb_trim" },
	{ 0x2423996a, "nf_hook_slow" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe534973a, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xfb28e9e2, "nf_ct_deliver_cached_events" },
	{ 0xbadc0c12, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x426ccb60, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x976781f5, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8a9b8cbf, "skb_set_owner_w" },
	{ 0x397a40c1, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x848ddfd3, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5f4f948d, "init_user_ns" },
	{ 0xce8f093c, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xeadcce1e, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x40f30a47, "seq_printf" },
	{ 0xcca35d92, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb1e474d1, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x504801a6, "ipv4_update_pmtu" },
	{ 0xc2970678, "nf_defrag_ipv6_enable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe1678be1, "dst_release" },
	{ 0x39cf629a, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa8181adf, "proc_dointvec" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0x7aab2085, "ip_local_out" },
	{ 0x4376531b, "genl_unregister_family" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x69bb3950, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x8690b2ef, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x4436d013, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c7312ae, "kernel_sendmsg" },
	{ 0xec7a31f2, "nf_ct_netns_put" },
	{ 0x4fa09e12, "register_pernet_device" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x3bf1021d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2cdf87a1, "proc_dointvec_minmax" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "AA98B918764D5FD87409C23");

MODULE_INFO(suserelease, "SLE15-SP6");
