#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tls_toe_register_device, 0xcc77be05, "");
SYMBOL_CRC(tls_toe_unregister_device, 0x06fbbdc0, "");
SYMBOL_CRC(tls_device_sk_destruct, 0xad785edf, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x29edefcd, "_gpl");
SYMBOL_CRC(tls_get_record, 0x6c034f20, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0xd813db43, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xe24d6233, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8bc7f9, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xed214e9c, "tcp_bpf_sendmsg_redir" },
	{ 0x72b38212, "flush_dcache_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x44ea4510, "tcp_read_sock" },
	{ 0xc008f706, "bpf_trace_run4" },
	{ 0x2f9de88e, "skb_copy_bits" },
	{ 0x595966cc, "sk_page_frag_refill" },
	{ 0x9c484401, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3d8339f, "tcp_sendmsg_locked" },
	{ 0xfd9e64bf, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x74cc1112, "sk_psock_msg_verdict" },
	{ 0xf041abe7, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0x9fd082cb, "iov_iter_get_pages2" },
	{ 0x10d93445, "___pskb_trim" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0x5a39e815, "clean_acked_data_enable" },
	{ 0x33515c32, "skb_splice_bits" },
	{ 0x7d317045, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xd0b91fa0, "crypto_aead_setauthsize" },
	{ 0x70e0e78f, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3aabce8f, "sk_stream_error" },
	{ 0xd8a82af2, "sk_msg_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x209d845f, "sk_msg_memcopy_from_iter" },
	{ 0x7589848, "sk_error_report" },
	{ 0x817cc1fb, "register_pernet_subsys" },
	{ 0x4004f4c5, "put_cmsg" },
	{ 0x7dd83c1, "__sk_flush_backlog" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0xf1ee9e44, "crypto_destroy_tfm" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x59c24454, "sk_psock_tls_strp_read" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xa554601d, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x9e46c439, "__alloc_skb" },
	{ 0x70257117, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xd1145d80, "iov_iter_extract_pages" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x15ca085a, "tcp_recv_skb" },
	{ 0xdc755710, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x8ca224fc, "__traceiter_sk_data_ready" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x50ff1ee7, "crypto_aead_encrypt" },
	{ 0x49f6aeae, "bpf_trace_run5" },
	{ 0xe4ee4c56, "sk_free" },
	{ 0x9ca18a1c, "skb_store_bits" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8ea511d, "__sk_mem_reclaim" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x77fd5e0e, "sk_stream_wait_memory" },
	{ 0x7965889, "nla_put" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x1703570a, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0xf79df08, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x2f0e6393, "lock_sock_nested" },
	{ 0x1c24548, "sk_msg_return_zero" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x8b545715, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbb73972f, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb53d51ac, "unregister_pernet_subsys" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0xf7a4f389, "sock_efree" },
	{ 0xd8a8033f, "iov_iter_bvec" },
	{ 0x793da160, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x356802db, "clean_acked_data_disable" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x2922c4a0, "sk_msg_free_partial" },
	{ 0x668b19a1, "down_read" },
	{ 0xe63bfc68, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9c4f698c, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6818d004, "tcp_register_ulp" },
	{ 0x3f4932e8, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xbca93eb6, "sk_psock_drop" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x244c650d, "skb_page_frag_refill" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf98e0113, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0xeadcce1e, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x40f30a47, "seq_printf" },
	{ 0xb1e474d1, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x65177bd2, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe1678be1, "dst_release" },
	{ 0xb89568b0, "_copy_from_iter" },
	{ 0x5a81c5c6, "skb_copy_header" },
	{ 0x50a0f547, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xbe5f3c39, "netdev_sk_get_lowest_dev" },
	{ 0x8892f5d3, "sk_msg_alloc" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x2ee8dab, "_copy_from_iter_nocache" },
	{ 0x9f191cba, "tcp_rate_check_app_limited" },
	{ 0xd620f496, "tcp_poll" },
	{ 0xa57e0fd4, "iov_iter_revert" },
	{ 0x367579d7, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3f24bc13, "skb_to_sgvec" },
	{ 0x53b954a2, "up_read" },
	{ 0xce888a42, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xbb8ce01a, "tcp_read_done" },
	{ 0x3bf1021d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3AED18F53BF8252538A417B");

MODULE_INFO(suserelease, "SLE15-SP6");
