#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0xaea4df02, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x6ef2a2a3, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x0c077bb7, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x00d5efe1, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x4bff28eb, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xdcaf1097, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xbf4a1fab, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x2e50826e, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x9d53ebde, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x6b9eb05b, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xffb39d2a, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xaff3d044, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x57a56793, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x1e1949b0, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x36550cf6, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x203bb024, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x980af4da, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x0f1d4880, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x972f0cf4, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x18f30043, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x1cf2db23, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x310b591b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xf2edf2eb, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x3f4b6068, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x0c306ecc, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xb4ea1f8a, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x561bb43e, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x3855884d, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x7c7ba8a9, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x6cd6b8b4, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x08f3733d, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xac44ab06, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xfc6f2801, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x331df2c6, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x12f81afc, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x3f190867, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1260bac7, "vsock_enqueue_accept" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x7766a008, "vsock_insert_connected" },
	{ 0x9c484401, "skb_put" },
	{ 0xfd9e64bf, "consume_skb" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0xb8c9bb88, "vsock_remove_sock" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0x30a13c05, "vsock_deliver_tap" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x7589848, "sk_error_report" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0xcd9bdfa0, "vsock_find_bound_socket" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x9e46c439, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0xe4ee4c56, "sk_free" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x6381818b, "__skb_recv_datagram" },
	{ 0x2f0e6393, "lock_sock_nested" },
	{ 0x8d1027bc, "vsock_stream_has_data" },
	{ 0x8b545715, "skb_copy_datagram_iter" },
	{ 0xee8d9a6b, "bpf_trace_run9" },
	{ 0x279d8733, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf7a4f389, "sock_efree" },
	{ 0xef95c986, "bpf_trace_run10" },
	{ 0xe4141645, "vsock_core_get_transport" },
	{ 0x940f4759, "__zerocopy_sg_from_iter" },
	{ 0x835584a1, "vsock_stream_has_space" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x8a9b8cbf, "skb_set_owner_w" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb89568b0, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xb1a1d71c, "msg_zerocopy_realloc" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xd103f988, "vsock_create_connected" },
	{ 0xf7d2b693, "vsock_assign_transport" },
	{ 0xa57e0fd4, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xce888a42, "iov_iter_npages" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x3bf1021d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a5e88a, "vsock_data_ready" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "1CC52BD7C32306A84247A36");

MODULE_INFO(suserelease, "SLE15-SP6");
